<?php

/**
 * Fired during plugin deactivation
 *
 * @link       https://aonetheme.com/
 * @since      1.0.0
 *
 * @package    Appointy
 * @subpackage Appointy/includes
 */

/**
 * Fired during plugin deactivation.
 *
 * This class defines all code necessary to run during the plugin's deactivation.
 *
 * @since      1.0.0
 * @package    Appointy
 * @subpackage Appointy/includes
 * @author     Aone Team <aonetheme@gmail.com>
 */
class Appointy_Deactivator {

	/**
	 * Short Description. (use period)
	 *
	 * Long Description.
	 *
	 * @since    1.0.0
	 */
	public static function deactivate() {
		/**
		 * This only required if custom post type has rewrite!
		 */
		flush_rewrite_rules();		
		/*Clear cron jobs*/
		wp_clear_scheduled_hook('fetch_gc_events');
	}

}
