<?php



wp_enqueue_style('bootstrap-datatable');



wp_enqueue_script('bootstrap-datatable');



$disabledWeekDays = Appointy_Booking_Form_Helper::get_available_weekdays();



wp_localize_script('appointy', 'bookingformdata', array(

	'weekdaysNotInTable' => $disabledWeekDays

));



$appointment_id = Appointy_Router_Helper::get_request_data( $_GET, 'appointment_id' );







$customer_id = get_post_meta($appointment_id,'booking_customer_id',true);



$customer_id = ( $customer_id != '' ) ? $customer_id : 0;



?>







<div class="content-admin-main">



	<div class="aon-admin-heading d-flex justify-content-between">



		<div class="aon-admin-heading-right">



			<h3><?php echo esc_html__( 'Appointment Details', 'appointy' ); ?></h3>



		</div>



		<div class="aon-admin-heading-right"> <a href="<?php echo esc_url( Appointy_Router_Helper::generate_link(['appointments', 'index']) ); ?>" class="admin-button"><i class="fa fa-arrow-left"></i> <?php echo esc_html__( 'Back', 'appointy' ); ?></a> </div>



	</div>



	<div class="sf-appoint-doctor">



		<div class="row">



			<div class="col-lg-4">



				<div class="aon-appoint-doc2-wrap">



					<div class="aon-appoint-doc2-head">



						<div class="aon-appoint-id-row"> <span><?php echo esc_html__( 'Appointment Ref ID', 'appointy' ); ?></span> <strong><?php echo '#'.get_post_meta($appointment_id,'appointment_ref_id',true); ?></strong> </div>



						<h4 class="aon-appoint-doc2-name"><?php echo Appointy_Appointments_Helper::get_appointment_customername( $appointment_id ); ?></h4>



					</div>



					<div class="aon-appoint-doc2-body">



						<div class="aon-appoint-doc2-pic"> <img src="<?php echo Appointy_Staff_Helper::get_user_avatar($customer_id,'appointy-300x300'); ?>" alt=""> </div>



						<?php







									$serviceperformat = get_post_meta($appointment_id,'serviceperformat',true);



			



									if($serviceperformat != '') {



			



									$address = get_post_meta($appointment_id,'address',true);



			



									?>



						<div class="sf-service-detail-paymentinfo sf-serviceperform-area">



							<h6 class="sf-paymentinfo-title">



								<?php esc_html_e('Service Perform At','appointy'); ?>



							</h6>



							<ul class="sf-paymentinfo-address m-0">



								<li> <strong>



									<?php esc_html_e('Service Location','appointy'); ?>



									</strong> <span><?php echo ucfirst(esc_html($serviceperformat)); ?></span> </li>



								<?php if($address != '') { ?>



								<li> <strong>



									<?php esc_html_e('Address','appointy'); ?>



									</strong> <span><?php echo esc_html($address); ?></span> </li>



								<?php } ?>



							</ul>



						</div>



						<?php } ?>



						<?php if( get_post_meta( $appointment_id, 'phone', true ) != '' ) { ?>



						<div class="aon-appoint-doc2-phone text-center m-b10"> <i class="fa fa-phone"></i> <?php echo get_post_meta( $appointment_id, 'phone', true ); ?></div>



						<?php } ?>



						<?php if( get_post_meta( $appointment_id, 'email', true ) != '' ) { ?>



						<div class="aon-appoint-doc2-phone text-center m-b10"> <i class="feather-mail"></i> <?php echo get_post_meta( $appointment_id, 'email', true ); ?></div>



						<?php } ?>



					</div>



					<div class="aon-appoint-doc2-footer">



						<div class="sf-service-detail-cardfooter">



							<div class="sf-service-total-amount"> 



							



							<?php



							$extra_service_total_amount = Appointy_Appointments_Helper::get_extra_service_total_amount($appointment_id);



							



							if($extra_service_total_amount > 0){



							?>



							<div class="left-amount-wrap">



							<h6 class="sf-paymentinfo-title"><?php esc_html_e('Extra Service Amount','appointy'); ?></h6>



							<strong><?php echo Appointy_Misc_Helper::get_price_format($extra_service_total_amount); ?></strong> 



							</div>



							<?php	



							}



							



							$totalamount = get_post_meta($appointment_id,'totalamount',true);



							$taxdata = get_post_meta($appointment_id,'taxdata',true);



							$totalTaxAmount = 0;



							if(!empty($taxdata)) {



								?>



								<div class="sf-service-detail-paymentinfo sf-serviceperform-area">



								<h6 class="sf-paymentinfo-title">



									<?php esc_html_e('Tax Info','appointy'); ?>



								</h6>



								<ul class="sf-paymentinfo-address m-0">



								<?php



								foreach($taxdata as $taxinfo){



									$tax_name = Appointy_Router_Helper::get_sanitize_data($taxinfo,'tax_name');



									$tax_value = Appointy_Router_Helper::get_sanitize_data($taxinfo,'tax');



									$tax_type = Appointy_Router_Helper::get_sanitize_data($taxinfo,'tax_type');



									$tax_name = Appointy_Router_Helper::get_sanitize_data($taxinfo,'tax_name');



									



									$taxAmount = 0;



									$displayTaxValue = '';



									



									if($tax_type === 'fixed') {



										$displayTaxValue = Appointy_Misc_Helper::get_price_format($tax_value);



										if($tax_value > 0){



											$taxAmount = floatval($tax_value);



										}else{



											$taxAmount = 0;



										}



									} else if($tax_type === 'percent') {



										$displayTaxValue = $tax_value.'%';



										if($tax_value > 0){



											$taxAmount = (floatval($tax_value)/100) * floatval($totalamount);



										}else{



											$taxAmount = 0;	



										}



									}



									



									echo '<li> <strong>'. $tax_name .'('.$displayTaxValue.')</strong> <span>'. Appointy_Misc_Helper::get_price_format($taxAmount) .'</span> </li>';



									



									$totalTaxAmount = floatval($totalTaxAmount) + floatval($taxAmount);



									



								}



								?>



										</ul>



								</div>



								<?php



							}



							



							$totalamount = floatval($totalamount) + floatval($totalTaxAmount);



							?>



							



							<div class="ap-horizon-amount-wrap">



							



							<div class="left-amount-wrap">



							<span><?php esc_html_e('Amount','appointy'); ?></span> 



							<strong><?php echo Appointy_Misc_Helper::get_price_format($totalamount); ?></strong> 



							</div>



							



							<?php 



							$deposit_options = get_post_meta($appointment_id,'deposit_options',true);



							$deposit_payment_status = get_post_meta($appointment_id,'deposit_payment_status',true);



							if($deposit_options === 'deposit_only' && $deposit_payment_status === 'deposit_only') { 



							$due_amount = get_post_meta($appointment_id,'due_amount',true);



							$deposit_amount = get_post_meta($appointment_id,'deposit_amount',true);



							?>



							<div class="left-amount-wrap">



							<span><?php esc_html_e('Paid','appointy'); ?></span> 



							<strong><?php echo Appointy_Misc_Helper::get_price_format($deposit_amount); ?></strong> 



							</div>



							



							<div class="left-amount-wrap">



							<span><?php esc_html_e('Due','appointy'); ?></span> 



							<strong class="ap-text-red"><?php echo Appointy_Misc_Helper::get_price_format($due_amount); ?></strong> 



							</div>



							<?php } ?>



							



							</div>



							



							</div>



						</div>



						<div class="sf-service-detail-paymentinfo aon-servi-pay-footer">



							<h6 class="sf-paymentinfo-title">



								<?php esc_html_e('Payment Details','appointy'); ?>



							</h6>



							<ul class="ap-payment-details">



								<li> <strong>



									<?php esc_html_e('Mode','appointy'); ?>



									</strong> <span><?php echo Appointy_Appointments_Helper::get_appointment_payment_method($appointment_id); ?></span> </li>



								<li> <strong>



									<?php esc_html_e('Status','appointy'); ?>



									</strong> <span class="<?php echo Appointy_Misc_Helper::get_status_class(get_post_meta($appointment_id,'booking_amount_status',true)); ?>"><?php echo Appointy_Misc_Helper::translate_string(get_post_meta($appointment_id,'booking_amount_status',true)); ?></span> </li>



								<?php if($deposit_options === 'deposit_only') {  ?>



								<li> <strong>



									<?php esc_html_e('Deposit Status','appointy'); ?>



									</strong> 



									<span>



									<?php 



									if($deposit_payment_status === 'deposit_only') {



										esc_html_e('Received Only Deposit','appointy');



									}else{



										esc_html_e('Full Payment Received','appointy');



									}



									?>



									</span> </li>	



								<?php } ?>	



								<?php



						



														$discountamount = get_post_meta($appointment_id,'discountamount',true);



						



														$discountamount = ($discountamount != '') ? floatval($discountamount) : 0;



						



														if($discountamount > 0) {



						



														?>



								<li> <strong>



									<?php esc_html_e('Discount','appointy'); ?>



									</strong> <span><?php echo Appointy_Misc_Helper::get_price_format($discountamount); ?></span> </li>



								<?php } ?>



								<?php



						



														$voucher_applied = get_post_meta($appointment_id,'voucher_applied',true);



						



														if($voucher_applied === 'yes') {



						



														$vouchernumber = get_post_meta($appointment_id,'vouchernumber',true);



						



														$voucheramountused = get_post_meta($appointment_id,'voucheramountused',true);



						



														?>



								<li> <strong>



									<?php esc_html_e('Voucher Number','appointy'); ?>



									</strong> <span><?php echo esc_html($vouchernumber); ?></span> </li>



								<li> <strong>



									<?php esc_html_e('Voucher Amount Used','appointy'); ?>



									</strong> <span><?php echo Appointy_Misc_Helper::get_price_format($voucheramountused); ?></span> </li>



								<?php



						



														}



						



														?>



							</ul>



						</div>



						



						<?php 



						$booking_attachments = get_post_meta($appointment_id,'booking_attachments',true);



						if(($deposit_options === 'deposit_only' && $deposit_payment_status === 'deposit_only') || !empty($booking_attachments) || get_post_meta($appointment_id,'booking_amount_status',true) === 'unpaid') {



						echo '<div class="ap-left-panel-btns">';



						if($deposit_options === 'deposit_only' && $deposit_payment_status === 'deposit_only') {



								echo '<div class="ap-mark-received"><a href="javascript:;" class="site-button button-sm receivedfullpayment" data-appointment_id="'.esc_attr($appointment_id).'">'.esc_html__('Mark as Received Full Payment','appointy').'</a></div>';



						}elseif(get_post_meta($appointment_id,'booking_amount_status',true) === 'unpaid'){



							echo '<div class="ap-mark-received"><a href="javascript:;" class="site-button button-sm receivedfullpayment" data-appointment_id="'.esc_attr($appointment_id).'">'.esc_html__('Mark as Payment Received','appointy').'</a></div>';



						}



						



						



						if(!empty($booking_attachments)) {



						?>



						<div class="ap-view-attachments">



						<a href="javascript:void(0);" class="site-button button-sm view-attachments-btn viewattachments" data-attachment_ids="<?php echo esc_attr( wp_json_encode( $booking_attachments ) ); ?>"><i class="feather-download"></i> <?php echo esc_html__( 'View Attachments', 'healthify' ); ?></a>	



						</div>



						<?php



						}



						echo '</div>';



						}



						?>



					</div>



				</div>



			</div>



			<div class="col-lg-8">



				<div class="sf-appointment-full-detail">



					<?php if(get_post_meta($appointment_id,'description',true) != '') { ?>



					<div class="alert alert-info"><?php echo wp_kses_post(get_post_meta($appointment_id,'description',true)); ?></div>



					<?php } ?>



					<?php



					



			$booked_services = Appointy_Appointments_Helper::get_booked_services( $appointment_id );







			if(!empty($booked_services)) {







				foreach($booked_services as $booked_service) {







					$service_id = Appointy_Router_Helper::get_request_data($booked_service,'id');



					



					$service_post_id = Appointy_Router_Helper::get_request_data($booked_service,'service_id');

					

					$multidate_service = Appointy_Router_Helper::get_request_data($booked_service,'multidate_service');

					

					$fullday_timeslots = Appointy_Router_Helper::get_request_data($booked_service,'fullday_timeslots');



					



					$has_repeat = Appointy_Router_Helper::get_request_data($booked_service,'has_repeat');



					$repeat_service_id = Appointy_Router_Helper::get_request_data($booked_service,'repeat_service_id');



					$repeat_service_payment = Appointy_Router_Helper::get_request_data($booked_service,'repeat_service_payment');







					$service_name = Appointy_Router_Helper::get_request_data($booked_service,'service_name');







					$service_name = Appointy_Router_Helper::get_request_data($booked_service,'service_name');







					$servicetype = Appointy_Router_Helper::get_request_data($booked_service,'servicetype');







					$variation_name = Appointy_Router_Helper::get_request_data($booked_service,'variation_name');







					







					$service_name = ($servicetype === 'hourly') ? $variation_name : $service_name;







					







					$booking_date = Appointy_Router_Helper::get_request_data($booked_service,'booking_date');







					$booking_start_time = Appointy_Router_Helper::get_request_data($booked_service,'booking_start_time');







					$booking_end_time = Appointy_Router_Helper::get_request_data($booked_service,'booking_end_time');







					$service_price = Appointy_Router_Helper::get_request_data($booked_service,'service_price');







					$member_id = Appointy_Router_Helper::get_request_data($booked_service,'member_id');







					$branch_id = Appointy_Router_Helper::get_request_data($booked_service,'branch_id');







					$cacellation_reason = Appointy_Router_Helper::get_request_data($booked_service,'cacellation_reason');







					$service_status = Appointy_Router_Helper::get_request_data($booked_service,'service_status');



					



					$hours = Appointy_Router_Helper::get_request_data($booked_service,'hours');



					$minutes = Appointy_Router_Helper::get_request_data($booked_service,'minutes');



					



					$duration = Appointy_Booking_Form_Helper::get_duration($hours,$minutes);



					$extra_service_duration = Appointy_Appointments_Helper::get_extra_service_duration($appointment_id,$service_post_id);



					



					$duration = intval($duration) + intval($extra_service_duration);



					



					//$booking_end_time = date(Appointy_Misc_Helper::get_wp_time_format(), strtotime($booking_date.' '.$booking_start_time." +".sanitize_text_field($duration)." minutes"));







					$li = '';



					?>



					<div class="panel panel-default serviceblock-table" id="serviceblock_<?php echo esc_attr($service_id); ?>">



						<div class="panel-body aon-panel-body p-a0">



							<div class="table-responsive">



								<table class="table aon-table sf-service-booking-table">



									<thead>



										<tr>



											<th><?php esc_html_e('Service','appointy'); ?></th>



											<th><?php esc_html_e('Date & Time','appointy'); ?></th>



											<th><?php esc_html_e('Status','appointy'); ?></th>

											

											<th class="ap-service-action-heading"><?php esc_html_e('Action','appointy'); ?></th>



										</tr>



									</thead>



									<tbody>



										<tr>



											<td><div class="sf-servicebooking-text"><i class="fa fa-gear"></i> <?php echo esc_html($service_name); ?></div>



												<?php if($fullday_timeslots === 'full_day') { ?>

												<div class="sf-servicebooking-text"><i class="fa fa-clock-o"></i> <?php esc_html_e('Full Day','appointy'); ?></div>

												<?php }else{

												?>

												<div class="sf-servicebooking-text"><i class="fa fa-clock-o"></i> <?php echo Appointy_Booking_Form_Helper::display_service_hours($hours,$minutes); ?></div>

												<?php

												} ?>

												</td>



											<td>

											<?php if($multidate_service === 'yes') { ?>

											<div class="sf-servicebooking-text blockservice-date"><i class="fa fa-calendar"></i> <?php echo Appointy_Appointments_Helper::get_multidate_booking_dates($appointment_id,$service_post_id); ?></div>

											<?php }else{ ?>

											<div class="sf-servicebooking-text blockservice-date"><i class="fa fa-calendar"></i> <?php echo Appointy_Misc_Helper::get_date_format($booking_date); ?></div>

											<?php } ?>



											<?php if($fullday_timeslots != 'full_day') { ?>

											<div class="sf-servicebooking-text blockservice-time"><i class="fa fa-clock-o"></i> <?php echo Appointy_Misc_Helper::get_time_format($booking_start_time).' - '.Appointy_Misc_Helper::get_time_format($booking_end_time); ?></div>

											<?php } ?>

											</td>

											



											<td><span id="servicestatus-<?php echo sprintf('%d-%d',$appointment_id,$service_id); ?>" data-toggle="tooltip" class="site-button outline <?php echo sanitize_html_class(Appointy_Misc_Helper::get_status_color(esc_html($service_status))); ?> button-sm">



												<?php 







																	if(get_post_status($appointment_id) === 'cancelled') {







																		echo Appointy_Misc_Helper::translate_string('cancelled');







																	} else {







																		if($service_status === 'pending') {







																			echo Appointy_Misc_Helper::translate_string('in-process');







																		} else {







																			echo Appointy_Misc_Helper::translate_string($service_status);







																		}







																	}







																	?>



												</span> </td>

												

												<td class="ap-service-action-val"></td>



										</tr>



									</tbody>



								</table>



								<table class="table aon-table sf-service-booking-btn">



									<tbody>



										<tr id="bookingrow-<?php echo sprintf('%d-%d',$appointment_id,$service_id); ?>">



											<td><div class="sf-servicebook-price"><strong><?php echo Appointy_Misc_Helper::get_price_format($service_price); ?></strong></div>



												<?php if($service_status === 'pending' && get_post_status($appointment_id) != 'on-hold') { ?>



												



													<?php







													if($member_id > 0) {



					



														$membertext = esc_html__('Edit Member','appointy');



					



													} else {	



					



														$membertext = esc_html__('Assign to the Member','appointy');



					



													}



													



													$li .= '<li><a href="javascript:;" class="dropdown-item assignmember" data-memberid="'.esc_attr($member_id).'" data-serviceid="'.esc_attr($service_id).'" data-bookingid="'.esc_attr($appointment_id).'" data-booked_service="'.esc_attr( wp_json_encode( $booked_service ) ).'"><i class="fa fa-user"></i> '.esc_html($membertext).'</a></li>';



					



													



					



													}



					



													?>



											</td>



											<td class="ap-detail-btns"><?php



												if($service_status === 'pending') {



												$appointment_form_fields = Appointy_Booking_Form_Helper::appointment_form_fields();

												

												$blockeddates = Appointy_Booking_Form_Helper::get_blocked_dates($member_id);



												if($multidate_service === 'yes') {

													$mindate = Appointy_Appointments_Helper::get_multidate_booking_min_date($appointment_id,$service_post_id);

													if(strtotime($mindate) > time()) {

													$booking_dates_array = Appointy_Appointments_Helper::get_multidate_booking_dates_array($appointment_id,$service_post_id);

													$li .= '<li><a href="javascript:;" class="editbooking dropdown-item" id="serviceedit-'.sprintf('%d-%d',$appointment_id,$service_id).'" data-serviceid="'.esc_attr($service_id).'" data-bookingid="'.esc_attr($appointment_id).'" data-booked_service="'.esc_attr( wp_json_encode( $booked_service ) ).'" data-blockeddates="'.esc_attr( wp_json_encode( $blockeddates ) ).'" data-selecteddates="'.esc_attr( wp_json_encode( $booking_dates_array ) ).'" data-customerinfo="'.esc_attr( wp_json_encode( $appointment_form_fields ) ).'"><i class="feather-edit-2"></i> '.esc_html__('Edit Date & Time','appointy').'</a></li>';	

	

													}												

												}else{

													if(strtotime($booking_date) > time()) {

	

													$li .= '<li><a href="javascript:;" class="editbooking dropdown-item" id="serviceedit-'.sprintf('%d-%d',$appointment_id,$service_id).'" data-serviceid="'.esc_attr($service_id).'" data-bookingid="'.esc_attr($appointment_id).'" data-booked_service="'.esc_attr( wp_json_encode( $booked_service ) ).'" data-blockeddates="'.esc_attr( wp_json_encode( $blockeddates ) ).'" data-customerinfo="'.esc_attr( wp_json_encode( $appointment_form_fields ) ).'"><i class="feather-edit-2"></i> '.esc_html__('Edit Date & Time','appointy').'</a></li>';	

	

													}

												}

												



				



												if($service_status === 'pending' && get_post_status($appointment_id) != 'on-hold') {



												$li .= '<li><a href="javascript:;" class="completeservice dropdown-item" id="servicecomplete-'.sprintf('%d-%d',$appointment_id,$service_id).'" data-serviceid="'.esc_attr($service_id).'" data-bookingid="'.esc_attr($appointment_id).'" data-memberid="'.esc_attr($member_id).'"><i class="feather-check-circle"></i> '.esc_html__('Mark As Complete','appointy').'</a></li>';	



												}



												



												$li .= '<li><a href="javascript:;" class="cancelservice dropdown-item" id="servicecancel-'.sprintf('%d-%d',$appointment_id,$service_id).'" data-serviceid="'.esc_attr($service_id).'" data-bookingid="'.esc_attr($appointment_id).'"><i class="feather-x"></i> '.esc_html__('Cancel Service','appointy').'</a></li>';



												}



												



												$meeting_details = Appointy_Booking_Form_Helper::get_meeting_links($appointment_id,$service_id);



												



												if(!empty($meeting_details)) {



													$host_url = Appointy_Router_Helper::get_request_data( $meeting_details, 'host_url' );



													if($host_url != '') {



													$li .= '<li><a href="'.esc_url($host_url).'" class="dropdown-item" target="_blank"><i class="feather-users"></i> '.esc_html__('Start Meeting','appointy').'</a></li>';



													}



												}



												?>



												



												<?php if($service_status === 'completed' && get_post_status($appointment_id) != 'on-hold') { ?>



												<?php 



												if ( Appointy_Appointments_Helper::has_appointment_review( $service_id, $customer_id ) ) { 



												$reviewid = Appointy_Appointments_Helper::get_appointment_review_id( $service_id, $customer_id );



												



												$reviewstatus = get_post_status( $reviewid );



										



												if( $reviewstatus == 'publish' ) {



													$rating = get_post_meta( $reviewid,'rating',true );



													$ratingprefix = 'bookingdetail';



													?>



													<div class="star-num-wrap">



														<div class="showrating" id="showrating-<?php echo esc_attr($ratingprefix); ?>-<?php echo esc_attr($reviewid); ?>" data-reviewid="<?php echo esc_attr($ratingprefix); ?>-<?php echo esc_attr($reviewid); ?>" data-rating="<?php echo esc_attr(floatval($rating)); ?>"></div>



														<span class="sf-rating-lable">(<?php echo trim($rating); ?>/5)</span>



													</div>		



													<?php



													$li .= '<li><a href="javascript:void(0);" class="dropdown-item viewbookingreview" data-reviewid="'.esc_attr( $reviewid ).'"><i class="feather-eye"></i> '.esc_html__( 'View Feedback', 'healthify' ).'</a></li>';



												}



												?>



												<?php } ?>



												<?php } ?>



												



												<?php if($has_repeat === 'yes') {



												$service_payment_status = Appointy_Appointments_Helper::get_repeat_service_payment_status($repeat_service_id);



												$service_payment_status_class = Appointy_Appointments_Helper::get_status_class($service_payment_status);



												



												if($service_payment_status === 'default') {



						



													$booking_amount_status = get_post_meta($appointment_id,'booking_amount_status',true);



													



													if($booking_amount_status === 'unpaid') {



													$display_service_payment_status = esc_html__('Pending','appointy');



													}else{



													$display_service_payment_status = esc_html__('Paid','appointy');



													}



												}else{



													$display_service_payment_status = Appointy_Misc_Helper::translate_string($service_payment_status);



												}



												?>



												<div class="service-payment-status <?php echo sanitize_html_class($service_payment_status_class); ?>"><strong><?php echo esc_html__('Service Payment Status','appointy'); ?></strong> <span><?php echo esc_html($display_service_payment_status); ?></span></div>



												



												<?php if($service_payment_status != 'default' && $service_payment_status == 'pending') {



												$li .= '<li><a href="javascript:;" class="dropdown-item paymentreminder" data-appointment_id="'.esc_attr($appointment_id).'" data-repeat_service_id="'.esc_attr($repeat_service_id).'"><i class="feather-send"></i> '.esc_html__('Send Payment Reminder for Repeat Service','appointy').'</a></li>';



												}



												?>



												



												<?php } ?>



												



												<?php if($has_repeat === 'yes') {



												$li .= '<li><a href="javascript:;" class="dropdown-item viewrepeatingservices" data-appointment_id="'.esc_attr( $appointment_id ).'" data-service_post_id="'.esc_attr( $service_post_id ).'"><i class="feather-eye"></i> '.esc_html__('View Upcoming Services','appointy').'</a></li>';



												}



												?>



											</td>



										</tr>



									</tbody>



								</table>



								



								<div class="dropdown action-dropdown dropdown-left ap-dropdown-actions">







								  <button class="action-button btn btn-primary dropdown-toggle" type="button" data-bs-toggle="dropdown"><i class="fa fa-ellipsis-v"></i></button>



	



								  <ul class="dropdown-menu">



	



									<?php echo $li; ?>



	



								  </ul>



	



								</div>



								



								<?php



								$extra_services = Appointy_Appointments_Helper::get_appointment_extra_services($appointment_id,$service_post_id);



								if(!empty($extra_services)) {

									echo '<div class="ap-extraservice-wrap">';

									echo '<h6 class="sf-extraservice-title">'.esc_html__('Extra Services','appointy').'</h6>';



									echo '<ul class="ap-list-services">';



									foreach($extra_services as $extra_service){



										$extra_service_id = Appointy_Router_Helper::get_sanitize_data($extra_service,'extra_service_id');



										$extra_service_name = Appointy_Router_Helper::get_sanitize_data($extra_service,'extra_service_name');



										$extra_service_price = Appointy_Router_Helper::get_sanitize_data($extra_service,'extra_service_price');

										$extra_service_unit_price = Appointy_Router_Helper::get_sanitize_data($extra_service,'extra_service_unit_price');
										$extra_service_quantity = Appointy_Router_Helper::get_sanitize_data($extra_service,'extra_service_quantity');				

										$hours = Appointy_Router_Helper::get_sanitize_data($extra_service,'hours');



										$minutes = Appointy_Router_Helper::get_sanitize_data($extra_service,'minutes');



										$display_service_period = Appointy_Router_Helper::get_sanitize_data($extra_service,'display_service_period');



										$service_period	 = Appointy_Router_Helper::get_sanitize_data($extra_service,'service_period');



										



										$attachment_id = get_post_meta($extra_service_id, 'image_id', true);







										$serviethumb = Appointy_Image_Helper::get_image_url_by_id($attachment_id,'thumbnail');



					



										echo '<li class="ap-list-servo-col">';



										echo '<span class="ap-list-servo-pic"><img src="'.esc_url($serviethumb).'"></span>';



										echo '<span class="ap-list-servo-title">'.esc_html($extra_service_name).'</span>';	



										echo '<span class="ap-list-servo-unit-price">'.Appointy_Misc_Helper::get_price_format($extra_service_unit_price).' x '.$extra_service_quantity.'</span>';	
										

										echo '<span class="ap-list-servo-price">'.Appointy_Misc_Helper::get_price_format($extra_service_price).'</span>';	

										echo '<span class="ap-list-servo-hour">'.esc_html($display_service_period).'</span>';	

										echo '</li>';



									}



									echo '</ul>';

									echo '</div>';



								}



								?>



								



								<div class="sf-assigned-member-info">



										<?php if($member_id > 0) { ?>



										<div class="sf-assigned-membername" id="assignedmemberinfo-<?php echo sprintf('%d-%d',$appointment_id,$service_id); ?>">	



										<div class="assigned-member-pic"> <img src="<?php echo Appointy_Staff_Helper::get_user_avatar( $member_id,'appointy-300x300' ); ?>"> </div> 



										<div class="memberinfo-right">



										<strong><?php echo esc_html__('You\'ve assigned the staff member','appointy'); ?></strong> <span><?php echo Appointy_Misc_Helper::get_fullname_by_user_id( $member_id ); ?></span>



										</div>



										</div>



										<?php } ?>



									<?php 







							if(get_post_meta($branch_id, 'friendly_address', true) != '') { ?>



									<div class="sf-assigned-branchaddress"><i class="fa fa-map-marker"></i> <strong><?php echo esc_html__('Address: ','appointy'); ?>: </strong><?php echo get_post_meta($branch_id, 'friendly_address', true); ?></div>



									<?php } ?>



									<?php 







							if($service_status === 'cancelled') {







								if($cacellation_reason != '') {







								?>



									<div class="alert alert-danger m-t15"><strong><?php echo esc_html__('Cancellation Reason','appointy'); ?>:</strong> <?php echo esc_html($cacellation_reason); ?></div>



									<?php







								}







						  }







						  ?>



								</div>



							</div>



						</div>



					</div>



					<?php







				}







			}







			?>



				</div>



			</div>



		</div>



	</div>



</div>



<?php 



Appointy_Template_Loader::get_template_part( 'admin/notification-box' );



Appointy_Template_Loader::get_template_part( 'admin/appointments/edit-appointment' );



Appointy_Template_Loader::get_template_part( 'admin/appointments/cancel-service' );



Appointy_Template_Loader::get_template_part( 'admin/appointments/assign-member' );



Appointy_Template_Loader::get_template_part( 'admin/appointments/view-attachments' );



Appointy_Template_Loader::get_template_part( 'admin/appointments/repeating-services' ); 



?>









