<?php



wp_enqueue_style('bootstrap-datatable');

wp_enqueue_script('bootstrap-datatable');



wp_enqueue_script( 'mdb-chart' );



$year = Appointy_Router_Helper::get_request_data($_GET,'numyear');

$year = (!empty($year)) ? esc_html($year) : date('Y');



$graph_fields1 = Appointy_Appointments_Helper::get_appointments_graph($year);

$graph_fields2 = Appointy_Appointments_Helper::get_revenue_graph($year); 

?>

<div class="content-admin-main">



                



                



            	<div class="aon-admin-heading">



                	<h3><?php _e('Dashboard', 'appointy'); ?></h3>



                </div>  



                <?php

				$appointments_revenue = Appointy_Appointments_Helper::get_total_appointment_amount();

				$invoice_revenue 	= Appointy_Appointments_Helper::get_total_invoice_amount();

				$total_revenue = floatval($appointments_revenue) + floatval($invoice_revenue);

				

				

				$appointments = Appointy_Appointments_Helper::get_all_appointments();

				?>



                <div class="aon-das-wrap mb-4">



                    <div class="row">



                        <div class="col-lg-3">



                            <div class="aon-dash-card card-one">



								<div class="aon-dash-icon"><img src="<?php echo APPOINTY_IMAGE_URL; ?>dash-icon/celander.png" alt=""/></div>



								<div class="aon-dash-info">



									<div class="aon-dash-num"><?php echo trim($appointments['all']); ?></div>



									<div class="aon-dash-name"><?php _e('Appoinments', 'appointy'); ?></div>



								</div>



                          </div>



                        </div>



                        <div class="col-lg-3">



                            <div class="aon-dash-card  card-two">



								<div class="aon-dash-icon"><img src="<?php echo APPOINTY_IMAGE_URL; ?>dash-icon/clock.png" alt=""/></div>



								<div class="aon-dash-info">



									<div class="aon-dash-num"><?php echo trim($appointments['completed']); ?></div>



									<div class="aon-dash-name"><?php _e('Completed', 'appointy'); ?></div>



								</div>	



                          </div>



                        </div>

						

						<div class="col-lg-3">



                            <div class="aon-dash-card card-four">



								<div class="aon-dash-icon">



									<img src="<?php echo APPOINTY_IMAGE_URL; ?>dash-icon/time.png" alt=""/>



								</div>



								<div class="aon-dash-info">



									<div class="aon-dash-num"><?php echo trim($appointments['pending']); ?></div>



									<div class="aon-dash-name"><?php _e('Pending', 'appointy'); ?></div>



								</div>



                          </div>



                        </div>



                        <div class="col-lg-3">



                            <div class="aon-dash-card card-three">



								<div class="aon-dash-icon">



									<img src="<?php echo APPOINTY_IMAGE_URL; ?>dash-icon/money.png" alt=""/>



								</div>



								<div class="aon-dash-info">



									<div class="aon-dash-num"><?php echo Appointy_Misc_Helper::get_price_format($total_revenue); ?></div>



									<div class="aon-dash-name"><?php _e('Revenue', 'appointy'); ?></div>



								</div>



                          </div>



                        </div>



                    </div>



                </div>

				

				<div class="card aon-card">



                    <div class="card-body aon-card-body">

						<div class="row">
							
							<div class="col-md-6">
								<div class="aon-admin-heading d-flex justify-content-between">

											<div class="aon-admin-heading-left">

												<h3><?php esc_html_e('Appointments Graph', 'appointy'); ?></h3>

											</div>
											<div class="aon-admin-heading-right">

												 <div class="aon-graph-year-btn-wrap">

												 <div class="aon-graph-year-select">

													 <select name="year" id="year" class="form-select" data-live-search="true" title="<?php echo esc_html__('Select Year', 'appointy'); ?>">

														 <option value=""><?php echo esc_html__('Select Year', 'appointy'); ?></option>

														 <?php

														 $currentyear = date('Y');

														 $minyear = $currentyear - 15;

														 for($i = $currentyear; $i >= $minyear;$i--) {
														 	$select = ($year === $i) ? 'selected="selected"' : '';
															echo '<option '.$select.' value="'.$i.'">'.$i.'</option>';

														 }

														 ?>

													 </select>

												 </div>

												 </div>

											</div>
								</div> 
								<div class="card-admin aon-card">

									<div class="card-body aon-card-body">



										<div class="row">



											<canvas id="bookingchart" style="max-width:100%;" data-jsoptions="<?php echo esc_attr(wp_json_encode($graph_fields1)); ?>"></canvas>



										</div>

									</div>

								</div>
							</div>
							
							<div class="col-md-6">
								<div class="aon-admin-heading d-flex justify-content-between">

									<div class="aon-admin-heading-left">

										<h3><?php esc_html_e('Revenue Graph', 'appointy'); ?></h3>

									</div>

								</div>
								<div class="card-admin aon-card">

									<div class="card-body aon-card-body">



										<div class="row">



											<canvas id="revenuechart" style="max-width:100%;" data-jsoptions="<?php echo esc_attr(wp_json_encode($graph_fields2)); ?>"></canvas>



										</div>

									</div>



								</div>
							</div>
							
						</div>

                    </div>



                </div>



                



                <?php /*?><div class="card aon-card">



                    <div class="card-body aon-card-body">



                        <div class="table-responsive">



                            <table id="table_recent_appointments" class="table table-striped table-borderless aon-table-custom example-dt-table">



								<thead>

							

									<tr>

							

										<th><?php esc_html_e( 'Ref ID','appointy' ); ?></th>

							

										<th><?php esc_html_e( 'Appointment Made On','appointy' ); ?></th>

							

										<th><?php esc_html_e( 'Customer Name','appointy' ); ?></th>

							

										<th><?php esc_html_e( 'Services Booked','appointy' ); ?></th>

							

										<th><?php esc_html_e( 'Payment Type','appointy' ); ?></th>

							

										<th><?php esc_html_e( 'Payment Mode','appointy' ); ?></th>

							

										<th><?php esc_html_e( 'Payment Status','appointy' ); ?></th>

							

										<th><?php esc_html_e( 'Total Amount','appointy' ); ?></th>

							

									</tr>

							

								</thead>

							

							</table>

							

                        </div>



                    </div>



                </div><?php */?>



            </div>



			



<?php Appointy_Template_Loader::get_template_part( 'admin/notification-box' ); ?>