<div class="modal left fade" id="locationmodal" tabindex="-1" aria-labelledby="exampleModalLabel1" aria-hidden="true">
  <div class="modal-dialog">
    <div class="modal-content">
		<form name="location__create" id="location__create">
            <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLabel2"><i class="feather-user-plus"></i> <?php _e('Add Location', 'appointy'); ?></h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="<?php _e('Close', 'appointy'); ?>"></button>
            </div>
            <div class="modal-body">
            	<div class="row">
					<?php
					$post_id = 0;
					$location_fields = Appointy_Location_Helper::location_fields( $post_id );
					if( !empty( $location_fields ) ) {
						foreach( $location_fields as $key => $field ){
							
							$field['value'] = get_post_meta( $post_id, $key, true );
							
							Appointy_Form_Helper::get_form_structure($key,$field);
						}
					}
					?>
					<div class="col-lg-12">
						<ul class="sf-team-member-list equal-wraper" id="servicemembers">
	
							<?php
		
							$staffs = get_users( array( 'role' => 'appointy_staff', 'orderby' => 'display_name', 'order' => 'ASC' ) );
		
							$staff_flag = 0;
		
							if( !empty($staffs) ) {
		
								$service_staff = array();
		
								foreach( $staffs as $key => $value ) {
		
								
		
								$staff_id = Appointy_Router_Helper::get_request_data( $value, 'ID' );
		
								$staff_name = Appointy_Router_Helper::get_request_data( $value, 'display_name' );
		
		
								$staff_flag = 1;
		
								?>
		
								<li class="equal-col" id="location_staff_id-<?php echo esc_attr($staff_id); ?>">
		
									<div class="sf-team-mamber-wrap">
		
										<div class="sf-team-mamber-pic">
		
											<img src="<?php echo Appointy_Image_Helper::get_user_avatar($staff_id,'appointy-300x300'); ?>">
		
											<div class="sf-team-member-overlay"><span><i class="fa fa-check"></i></span></div>
		
										</div>
		
										<div class="sf-team-mamber-info">
		
											<h6><?php echo esc_html($staff_name); ?></h6>
		
										</div>
		
										<div class="checkbox sf-radio-checkbox collapse">
		
											<input id="service_staff_id-<?php echo esc_attr($staff_id); ?>" data-staffname="<?php echo esc_attr($staff_name); ?>" class="staff_id" name="members[]" value="<?php echo esc_attr($staff_id); ?>"  type="checkbox" >
		
											<label for="service_staff_id-<?php echo esc_attr($staff_id); ?>"></label>
		
										</div>
		
									</div>
		
								</li>
		
								<?php
		
								}
		
							}
		
							?>
		
						</ul>
					</div>
                    
                    <?php
					$post_id = 0;
					$address_fields = Appointy_Location_Helper::address_fields( $post_id );
					if( !empty( $address_fields ) ) {
						foreach( $address_fields as $key => $field ){
							
							$field['value'] = get_post_meta( $post_id, $key, true );
							
							Appointy_Form_Helper::get_form_structure($key,$field);
						}
					}
					?>
                    
                    <?php echo Appointy_Media_Upload_Helper::media_uploader_field('image_id', 0, __('Upload Image', 'appointy'), __('Remove', 'appointy'), 0); ?>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="site-button-secondry" data-bs-dismiss="modal"><?php _e('Close', 'appointy'); ?></button>
                <button type="submit" class="site-button"><?php _e('Save changes', 'appointy'); ?></button>
            </div>
		</form>      
		
		<?php Appointy_Template_Loader::get_template_part( 'panel-loading' ); ?>
    </div>
  </div>
</div>
