<?php 



global $wpdb;



wp_enqueue_script('bootstrap-slider');



wp_enqueue_style( 'bootstrap-slider' );



$serviceid = Appointy_Router_Helper::get_request_data( $_GET, 'serviceid' );



if( !empty($serviceid) && $serviceid > 0 ) {



	$service_object = get_post( $serviceid );



	$servicetype = get_post_meta($serviceid,'_servicetype',true);



	$heading = __('Edit Service', 'appointy');



	$attachment_id = get_post_meta($serviceid, 'image_id', true);



} else {



	$servicetype = 'hourly';



	$heading = __('Add Service', 'appointy');



	$serviceid = 0;



	$attachment_id = 0;



}



?>



<div class="content-admin-main">



    



    <form name="service__create" id="service__create" <?php echo ( !empty($serviceid) && $serviceid > 0 ) ? 'data-extra_service="'.get_post_meta($serviceid,'extra_service',true).'"' : ''; ?> > 



	<input type="hidden" name="servicetype" value="<?php echo esc_attr($servicetype); ?>">



	<input type="hidden" name="numberoferrors" value="">



	



	<?php if( !empty($serviceid) && $serviceid > 0 ) { ?>



	<input type="hidden" name="serviceid" value="<?php echo esc_attr($serviceid); ?>">



	<?php } ?>



    



    <div class="aon-admin-heading d-flex justify-content-between align-items-center">



        <div class="aon-admin-headLeft">



            <h3 class="panel-tittle m-a0"><span class="fa fa-cog"></span> <?php echo trim($heading); ?></h3>



        </div>  



		



        <div class="aon-admin-headRight saveserbtn-wrapper">



            <button type="submit" class="site-button saveserbtn"><?php esc_html_e('Save Changes','appointy'); ?></button>



        </div>  		



    </div> 



    



    <div class="panel cards aon-card panel-default about-me-here">



        <div class="card-body aon-card-body panel-body sf-panel-body p-a30">



            <div class="row">



                <div class="col-lg-12 ">



                    <div class="form-group ">



                        <label><?php _e('Service Title', 'appointy'); ?></label><br />



                        <div class="aon-inputicon-box"> 



                            <input data-rule-required="1" data-msg-required="<?php _e('Please enter service title', 'appointy'); ?>" type="text" class="form-control" name="service_title" value="<?php echo ( !empty($serviceid) && $serviceid > 0 ) ? get_the_title($serviceid) : ''; ?>" placeholder="<?php _e('Service Title', 'appointy'); ?>">



                            <i class="aon-input-icon fa fa-globe"></i>



                        </div>



                    </div>



                </div>



            </div>



        </div>



    </div>



    



                    



    <div class="row feImg-serDes-wrap">                



        <div class="equal-wraper row">



        <div class="col-lg-6">



            <div class="aon-admin-heading d-flex justify-content-between align-items-center">



                <div class="aon-admin-headLeft">



                    <h3 class="panel-tittle m-a0"><span class="feather-user"></span> <?php _e('Thumbnail', 'appointy'); ?></h3>



                </div>  



            </div> 



            <div class="cards aon-card panel panel-default sf-featuredimage-box equal-col">



                <div class="aon-card-body panel-body sf-panel-body p-a30">



                    <div class="sf-author-avatar-wrap d-flex">



                        <?php echo Appointy_Media_Upload_Helper::media_uploader_field('image_id', $serviceid, __('Upload Image', 'appointy'), __('Remove', 'appointy'), $attachment_id); ?>



                    </div>



                </div>



            </div>



        </div>



        <div class="col-lg-6">



            <div class="aon-admin-heading d-flex justify-content-between align-items-center">



                <div class="aon-admin-headLeft">



                    <h3 class="panel-tittle m-a0"><span class="fa fa-file-text-o"></span> <?php _e('Service Description', 'appointy'); ?></h3>



                </div>  



            </div>



            <div class="cards aon-card panel panel-default about-me-here equal-col">



                <div class="cards aon-card-body panel-body sf-panel-body p-a30">



                    <div class="editer-wrap">



                    	<div class="editer-textarea">



							<?php



                            $editor_id = 'service_description';



                            $settings = array( 'media_buttons' => true );



                            $service_content = ( !empty($serviceid) && $serviceid > 0 ) ? Appointy_Router_Helper::get_request_data( $service_object, 'post_content' ) : '';



                            wp_editor( $service_content, $editor_id, $settings );



                            ?>



                        </div>        



                    </div>



                </div>



            </div>



        </div>               



        </div> 



    </div>



	



	<div class="aon-admin-heading d-flex justify-content-between align-items-center">



        <div class="aon-admin-headLeft">



            <h3 class="panel-tittle m-a0"><span class="feather-plus-square"></span> <?php _e('Extra Service', 'appointy'); ?></h3>



        </div>  



    </div>                                   



    <div class="cards aon-card panel panel-default about-me-here">



        <div class="cards aon-card-body panel-body sf-panel-body p-a30">



            <div class="row">



				<?php



				$extra_service = '';



				$parent_service = '';
				
				$max_quantity = 1;



				if( !empty($serviceid) && $serviceid > 0 ) { 



					$extra_service = get_post_meta($serviceid,'extra_service',true);



					$parent_service = get_post_meta($serviceid,'parent_service',true);
					
					$max_quantity = get_post_meta($serviceid,'max_quantity',true);



				}



				?>



                <div class="col-md-4">



                    <div class="form-groupss ap-extra-servi-left">



						<label class="control-label"><?php _e('Is It Extra Service?', 'appointy'); ?>:</label>



						<div class="checkbox sf-radio-checkbox">



							<input id="extra_service_no" name="extra_service" value="no" type="radio" <?php echo ($extra_service === 'no' || $extra_service == '') ? 'checked="checked"' : ''; ?> >



							<label for="extra_service_no"><?php _e('No', 'appointy'); ?></label>



						</div>



						<div class="checkbox sf-radio-checkbox">



							<input id="extra_service_yes" name="extra_service" value="yes" type="radio" <?php echo ($extra_service === 'yes') ? 'checked="checked"' : ''; ?> >



							<label for="extra_service_yes"><?php _e('Yes', 'appointy'); ?></label>



						</div>



					</div>



                </div>
                
                <div class="col-md-4 ap-extra-servi-right sf-versions-list <?php echo ($extra_service === 'yes') ? '' : 'collapse'; ?>" id="ap-parent-services">



                    <div class="form-groupss">



						<label class="control-label"><?php _e('Main Service', 'appointy'); ?>:</label>



						<select class="sf-select-box" name="parent_service" data-live-search="true" required title="<?php _e('Select main service','appointy'); ?>">



						<?php



						$the_query = Appointy_Service_Helper::get_parent_services();



						if ( $the_query->have_posts() ) {



							echo '<option value="">'.esc_html__( 'Select main service','appointy' ).'</option>';



							while ( $the_query->have_posts() ) : $the_query->the_post();



								$post_id = get_the_id();		



								$selected = (intval($parent_service) === intval($post_id)) ? 'selected="selected"' : '';



								echo '<option '.$selected.' value="'.$post_id.'">'.get_the_title().'</option>';



							endwhile;



							wp_reset_postdata();



						}else{



							echo '<option value="">'.esc_html_e( 'Sorry, no service found.','appointy' ).'</option>';



						}



						?>



						</select>



					</div>



                </div>
                
                <div class="col-lg-4 <?php echo ($extra_service === 'yes') ? '' : 'collapse'; ?>" id="ap-ex-service-maxqty">



                    <div class="form-group ">



                        <label><?php _e('Max Quantity', 'appointy'); ?></label><br />



                        <div class="aon-inputicon-box"> 



                            <input data-rule-required="1" data-msg-required="<?php _e('Please enter max quantity', 'appointy'); ?>" min="1" type="number" class="form-control" name="max_quantity" value="<?php echo esc_attr($max_quantity); ?>" placeholder="<?php _e('Max Quantity', 'appointy'); ?>">



                            <i class="aon-input-icon feather-plus"></i>



                        </div>



                    </div>



                </div>



            </div>



        </div>



    </div>



	



	<div class="aon-admin-heading justify-content-between align-items-center main-service <?php echo ($multidate_service === 'yes') ? '' : 'collapse'; ?>">



        <div class="aon-admin-headLeft">



            <h3 class="panel-tittle m-a0"><span class="feather-plus-square"></span> <?php _e('Multi Date Service', 'appointy'); ?></h3>



        </div>  



    </div>                                   

		<?php



        $multidate_service = '';



        $multidate_service_type = '';



        $number_of_dates = '';



        $fullday_timeslots = '';



        if( !empty($serviceid) && $serviceid > 0 ) { 



            $multidate_service = get_post_meta($serviceid,'multidate_service',true);



            $multidate_service_type = get_post_meta($serviceid,'multidate_service_type',true);



            $number_of_dates = get_post_meta($serviceid,'number_of_dates',true);



            $fullday_timeslots = get_post_meta($serviceid,'fullday_timeslots',true);



        }



        ?>

    <div class="cards aon-card panel panel-default about-me-here main-service <?php echo ($multidate_service === 'yes') ? '' : 'collapse'; ?>">



        <div class="cards aon-card-body panel-body sf-panel-body p-a30">



            <div class="row">



				<div class="col-md-12 ap-multidate-one">



                    <div class="form-groupss ap-extra-servi-left">



						<label class="control-label"><?php _e('Is It Multi Date Service?', 'appointy'); ?>:</label>



						<div class="checkbox sf-radio-checkbox">



							<input id="multidate_service_no" name="multidate_service" value="no" type="radio" <?php echo ($multidate_service === 'no' || $multidate_service == '') ? 'checked="checked"' : ''; ?> >



							<label for="multidate_service_no"><?php _e('No', 'appointy'); ?></label>



						</div>



						<div class="checkbox sf-radio-checkbox">



							<input id="multidate_service_yes" name="multidate_service" value="yes" type="radio" <?php echo ($multidate_service === 'yes') ? 'checked="checked"' : ''; ?> >



							<label for="multidate_service_yes"><?php _e('Yes', 'appointy'); ?></label>



						</div>



					</div>



                </div>



                <div class="col-md-6 ap-extra-servi-right sf-versions-list ap-multidate-parent ap-multidate-two <?php echo ($multidate_service === 'yes') ? '' : 'collapse'; ?>">



                    <div class="form-groupss">



						<label class="control-label"><?php _e('Type', 'appointy'); ?>:</label>



						<select class="sf-select-box" name="multidate_service_type" required title="<?php _e('Multi Date Type','appointy'); ?>">



							<option value="separate_dates" <?php echo ($multidate_service_type === 'separate_dates') ? 'selected="selected"' : ''; ?>><?php _e('Separate Dates', 'appointy'); ?></option>



							<option value="date_range" <?php echo ($multidate_service_type === 'date_range') ? 'selected="selected"' : ''; ?>><?php _e('Date Range', 'appointy'); ?></option>



						</select>



					</div>



                </div>



				<div class="col-md-6 ap-extra-servi-right sf-versions-list ap-multidate-parent ap-multidate-three <?php echo ($multidate_service === 'yes') ? '' : 'collapse'; ?>">



                    <div class="form-groupss">



						<label class="control-label"><?php _e('Set Number of Dates', 'appointy'); ?>:</label>



						<input title="<?php _e('Please enter number of dates','appointy'); ?>" class="form-control" name="number_of_dates" type="number" value="<?php echo esc_attr($number_of_dates); ?>">



						<span class="hint"><?php _e('If you leave blank than customer can select any number of dates.','appointy'); ?></span>



					</div>	



                </div>



				<div class="col-md-6 ap-extra-servi-right sf-versions-list ap-multidate-parent ap-multidate-four <?php echo ($multidate_service === 'yes') ? '' : 'collapse'; ?>">



                    <div class="form-groupss">



						<label class="control-label"><?php _e('Full Day/Time Slots', 'appointy'); ?>:</label>



						<select class="sf-select-box" name="fullday_timeslots" required title="<?php _e('Full Day/Time Slots','appointy'); ?>">



							<option value="full_day" <?php echo ($fullday_timeslots === 'full_day') ? 'selected="selected"' : ''; ?>><?php _e('Full Day', 'appointy'); ?></option>



							<option value="time_slots" <?php echo ($fullday_timeslots === 'time_slots') ? 'selected="selected"' : ''; ?>><?php _e('Time Slots', 'appointy'); ?></option>



						</select>



					</div>



                </div>



            </div>



        </div>



    </div>



    



    <div class="aon-admin-heading justify-content-between align-items-center main-service <?php echo ($extra_service === 'yes') ? 'collapse' : ''; ?>">



        <div class="aon-admin-headLeft">



            <h3 class="panel-tittle m-a0"><span class="fa fa-users"></span> <?php _e('Staff Members', 'appointy'); ?></h3>



        </div>  



    </div>                



    <div class="cards aon-card panel panel-default about-me-here main-service <?php echo ($extra_service === 'yes') ? 'collapse' : ''; ?>">



        <div class="cards aon-card-body panel-body sf-panel-body p-a30">



            	<div class="form-horizontal ap-location-select">



						<div class="form-groupss">



	



						  <label class="control-label"><?php _e('Select Location','appointy'); ?>:</label>



	



							<select class="sf-select-box" name="location" data-live-search="true" title="<?php _e('Select Location','appointy'); ?>">



								<?php 



								echo '<option value="0">'.__('All Locations','appointy').'</option>';



								$locations = Appointy_Booking_Form_Helper::get_locations();



								if(!empty($locations)) {



									foreach( $locations as $location ) {



										$locationid = Appointy_Router_Helper::get_request_data($location,'ID');



										$attachment_id = get_post_meta($locationid, 'image_id', true);



										$address = get_post_meta($locationid, 'friendly_address', true);



										



										echo '<option value="'.esc_attr($locationid).'">'.get_the_title($locationid).'</option>';



									}



								}



								?>



							</select>



	



						</div>



	



				  </div>



				



				<ul class="sf-team-member-list equal-wraper" id="servicemembers">



                    <?php



					$staffs = get_users( array( 'role' => 'appointy_staff', 'orderby' => 'display_name', 'order' => 'ASC' ) );



					$staff_flag = 0;



					if( !empty($staffs) ) {



						if( !empty($serviceid) && $serviceid > 0 ) {



							$service_staff = get_post_meta($serviceid,'_service_staff',true);



						}	



						foreach( $staffs as $key => $value ) {



						



						$staff_id = Appointy_Router_Helper::get_request_data( $value, 'ID' );



						$staff_name = Appointy_Router_Helper::get_request_data( $value, 'display_name' );



						



						$checked = ''; 



						$selected = '';



						if(!empty($service_staff)) {



							if(in_array($staff_id,$service_staff)) {



								$checked = 'checked="checked"';



								$selected = 'selected';



							}



						}



						$staff_flag = 1;



						?>



						<li class="<?php echo sanitize_html_class($selected); ?> equal-col">



							<div class="sf-team-mamber-wrap">



								<div class="sf-team-mamber-pic">



									<img src="<?php echo Appointy_Image_Helper::get_user_avatar($staff_id,'appointy-300x300'); ?>">



									<div class="sf-team-member-overlay"><span><i class="fa fa-check"></i></span></div>



								</div>



								<div class="sf-team-mamber-info">



									<h6><?php echo esc_html($staff_name); ?></h6>



								</div>



								<div class="checkbox sf-radio-checkbox collapse">



									<input <?php echo esc_attr($checked); ?> id="service_staff_id-<?php echo esc_attr($staff_id); ?>" data-staffname="<?php echo esc_attr($staff_name); ?>" class="staff_id" name="staff_id[]" value="<?php echo esc_attr($staff_id); ?>"  type="checkbox" >



									<label for="service_staff_id-<?php echo esc_attr($staff_id); ?>"></label>



								</div>



							</div>



						</li>



						<?php



						}



					}



					?>



                </ul>



                <?php



				if($staff_flag === 0) {



					echo '<div class="no-staff-images">';



					_e('There are no staff members','appointy');



					echo '</div>';



				}



				?>



				



				<button type="button" class="site-button savelocationstaff"><?php _e('Save Staff', 'appointy'); ?></button>



				



				<?php 



				if( !empty($serviceid) && $serviceid > 0 ) { 



					$addedLocations = array();



					$locationStaffArray = array();



					$service_locations = $wpdb->get_results($wpdb->prepare('SELECT `id`,`service_id`,`location_id`,`staff_id` FROM `'.$wpdb->prefix.'appointy_service_location_satff` WHERE `service_id` = %d GROUP BY `location_id`',$serviceid));



					



					echo '<ul id="resultList">';



					



					if(!empty($service_locations)) {



						foreach($service_locations as $key => $service_location){



							$location_id = Appointy_Router_Helper::get_sanitize_data( $service_location, 'location_id' );



							$location_id = ($location_id == '') ? 0 : intval($location_id);



							



							$locationStaffArray[$key]['locationId'] = $location_id;



							$locationStaffArray[$key]['locationName'] = get_the_title($location_id);



							



							$addedLocations[$key] = $location_id;



							



							$service_location_staffs = $wpdb->get_results($wpdb->prepare('SELECT `id`,`service_id`,`location_id`,`staff_id` FROM `'.$wpdb->prefix.'appointy_service_location_satff` WHERE `service_id` = %d AND `location_id` = %d',$serviceid,$location_id));



							



							$location_staff_array = array();



							$location_staff_ids = array();



							if(!empty($service_location_staffs)) {



								foreach($service_location_staffs as $service_location_staff){



									$staff_id = Appointy_Router_Helper::get_sanitize_data( $service_location_staff, 'staff_id' );		



									$staff_name = Appointy_Misc_Helper::get_fullname_by_user_id($staff_id);



									$location_staff_array[] = $staff_name;



									$location_staff_ids[] = $staff_id;



								}



							}



							



							$locationStaffArray[$key]['staffMembers'] = $location_staff_ids;



							$locationStaffArray[$key]['staffMemberNames'] = $location_staff_array;



							



							$staffids = implode(',',$location_staff_ids);



							



							$location_name = (intval($location_id) === 0) ? esc_html__( 'All Locations', 'appointy' ) : get_the_title($location_id);



							



							echo '<li id="locationlist'.esc_attr($location_id).'"><div class="ap-staff-location-label"><strong><i class="feather-map-pin"></i> '.esc_html__( 'Location', 'appointy' ).':</strong> <span> ' . $location_name . '</span></div> <div class="ap-staff-label"><strong><i class="feather-user"></i> '.esc_html__( 'Staff Members', 'appointy' ).': </strong> <span>'. implode(', ',$location_staff_array) .'</span></div><div class="ap-staff-location-btns"><button type="button" class="btn btn-danger btn-sm remove-location-icon removeLocation" data-locationid="'.$location_id.'"><i class="fa fa-close"></i></button> <button type="button" class="btn btn-warning btn-sm edit-location-icon editLocation" data-staffids="'.esc_attr($staffids).'" data-locationid="'.$location_id.'"><i class="fa fa-pencil"></i></button></div></li>';



						}



					}



					



					echo '</ul>';



					



					$locationStaffArray = json_encode($locationStaffArray);



					$addedLocations = json_encode($addedLocations);



					



					echo "<script>var locationStaffArray = $locationStaffArray; var addedLocations = $addedLocations;</script>";



				}else{



					echo '<ul id="resultList"></ul>';



				}



				?>



            </div>



    </div>



    <div class="aon-admin-heading justify-content-between align-items-center main-service <?php echo ($extra_service === 'yes') ? 'collapse' : ''; ?>">



        <div class="aon-admin-headLeft">



            <h3 class="panel-tittle m-a0"><span class="fa fa-sitemap"></span> <?php _e('Select Categories', 'appointy'); ?></h3>



        </div>  



    </div>                                   



    <div class="cards aon-card panel panel-default about-me-here main-service <?php echo ($extra_service === 'yes') ? 'collapse' : ''; ?>">



        <div class="cards aon-card-body panel-body sf-panel-body p-a30">



            <div class="row">



                <div class="col-md-6">



                    <div class="sf-versions-list">



                        <div class="sf-versions-box sf-outline-wrap bg-gray-light radius-sm">



                            <div class="form-horizontal">



                                <div class="form-groupss">



                                  	<label class="control-label"><?php _e('Category', 'appointy'); ?>:</label>



									<?php



                                    $maincategory = 0;



                                    $childcategory = 0;



                                    if( !empty($serviceid) && $serviceid > 0 ) {



										$categories = get_the_terms( $serviceid , 'appointy_service_category' );



										if(!empty($categories)) {



											foreach($categories as $category) {



												if(intval(Appointy_Router_Helper::get_request_data( $category, 'parent' )) === 0) {



													$maincategory = Appointy_Router_Helper::get_request_data( $category, 'term_id' );



												} else {



													$childcategory = Appointy_Router_Helper::get_request_data( $category, 'term_id' );



												}



												



											}



										}



                                    }



                                    ?>



                                    <select required class="sf-select-box" name="category" data-live-search="true" title="<?php _e('Please Select Category','appointy'); ?>">

									

									<option value=""><?php _e('Please Select Category','appointy'); ?></option>



                                    <?php



                                    $args = array(



                                        'child'	=>	false,



                                    );



                                    $categories = Appointy_Service_Helper::get_service_categories( 'appointy_service_category', $args );



                                    



                                    if( !empty($categories) ) {



                                        foreach( $categories  as $category ) {



											$term_id = Appointy_Router_Helper::get_request_data( $category, 'term_id' );



											$term_name = Appointy_Router_Helper::get_request_data( $category, 'name' );



											



                                            if($term_id === $maincategory) {



                                                $select = 'selected="selected"';



                                            } else {



                                                $select = '';



                                            }



                                            



                                            echo '<option '.$select.' value="'.esc_attr($term_id).'">'.trim($term_name).'</option>';



                                        }



                                    } else {



										echo '<option value="">'.__('Not available','appointy').'</option>';



									}



                                    ?>



                                    </select>



                                </div>



                          </div>



                        </div>



                    </div>



                </div>



                <div class="col-md-6">



                    <div class="sf-versions-list">



                        <div class="sf-versions-box sf-outline-wrap bg-gray-light radius-sm">



                            <div class="form-horizontal">



                                <div class="form-groupss">



                                  <label class="control-label"><?php _e('Child Category','appointy'); ?>:</label>



                                    <select class="sf-select-box" name="childcategory" data-live-search="true" title="<?php _e('Select child Category','appointy'); ?>">



										<?php



										if($maincategory > 0) {



											$args = array(



												'child'					=>	true,



												'parent_category_id'	=>	$maincategory,



											);



											$categories = Appointy_Service_Helper::get_service_categories( 'appointy_service_category', $args );



											$options = '';



											if( !empty($categories) ) {



												foreach( $categories  as $category ) {



													$term_id = Appointy_Router_Helper::get_request_data( $category, 'term_id' );



													$term_name = Appointy_Router_Helper::get_request_data( $category, 'name' );



													if($term_id === $childcategory) {



														$select = 'selected="selected"';



													} else {



														$select = '';



													}



													echo '<option '.$select.' value="'.esc_attr($term_id).'">'.trim($term_name).'</option>';



												}



											} else {



												echo '<option value="">'.__('Not available','appointy').'</option>';



											}



										} else {



											echo '<option value="">'.__('Not available','appointy').'</option>';



										}



										?>



                                    </select>



                                </div>



                          </div>



                        </div>



                    </div>



                </div>



            </div>



        </div>



    </div>



	



	<div class="aon-admin-heading justify-content-between align-items-center main-service <?php echo ($extra_service === 'yes') ? 'collapse' : ''; ?>">



        <div class="aon-admin-headLeft">



            <h3 class="panel-tittle m-a0"><span class="feather-repeat"></span> <?php _e('Recurring Appointment', 'appointy'); ?></h3>



        </div>  



    </div>                                   



    <div class="cards aon-card panel panel-default about-me-here main-service <?php echo ($extra_service === 'yes') ? 'collapse' : ''; ?>">



        <div class="cards aon-card-body panel-body sf-panel-body p-a30">



            <div class="row">



				<?php



				$repeat = '';



				$saved_frequencies = array();



				if( !empty($serviceid) && $serviceid > 0 ) { 



					$repeat = get_post_meta($serviceid,'repeat',true);



					$saved_frequencies = get_post_meta($serviceid,'frequencies',true);



					



					$saved_frequencies = explode(',',$saved_frequencies);



				}



				?>



                <div class="col-md-6" id="repeat-appointy">



                    <div class="form-groupss">



						<label class="control-label"><?php _e('Repeat', 'appointy'); ?>:</label>



						<div class="checkbox sf-radio-checkbox">



							<input id="repeat_no" name="repeat" value="no" type="radio" <?php echo ($repeat === 'no' || $repeat == '') ? 'checked="checked"' : ''; ?> >



							<label for="repeat_no"><?php _e('Disabled', 'appointy'); ?></label>



						</div>



						<div class="checkbox sf-radio-checkbox">



							<input id="repeat_yes" name="repeat" value="yes" type="radio" <?php echo ($repeat === 'yes') ? 'checked="checked"' : ''; ?> >



							<label for="repeat_yes"><?php _e('Enabled', 'appointy'); ?></label>



						</div>



					</div>



                </div>



                <div class="col-md-6 <?php echo ($repeat === 'yes') ? '' : 'collapse'; ?>" id="repeat-frequencies">



                    <div class="form-groupss">



						<label class="control-label"><?php _e('Frequencies', 'appointy'); ?>:</label>



						<?php



						$frequencies = Appointy_Misc_Helper::get_frequencies();



						foreach($frequencies as $key => $value){



						?>



						<div class="checkbox sf-radio-checkbox">



							<input id="repeat_<?php echo esc_attr($key); ?>" name="frequencies[]" value="<?php echo esc_attr($key); ?>" type="checkbox" <?php echo (in_array($key,$saved_frequencies)) ? 'checked="checked"' : ''; ?> >



							<label for="repeat_<?php echo esc_attr($key); ?>"><?php echo esc_html($value); ?></label>



						</div>



						<?php



						}



						?>	



					</div>



                </div>



            </div>



        </div>



    </div>



	



	<?php



	$service_availability = array();



	if( !empty($serviceid) && $serviceid > 0 ) {



		$service_availability = get_post_meta($serviceid,'_service_availability',true);



		$service_availability_status = get_post_meta($serviceid,'_service_availability_status',true);



		$service_availability_status = ( $service_availability_status === 'on' ) ? true : false;



	}else{



		$service_availability_status = false;



	}



	



	?>



    <div class="aon-admin-heading justify-content-between align-items-center main-service sf-availability-row <?php echo ($extra_service === 'yes') ? 'collapse' : ''; ?>">



        <div class="aon-admin-headLeft">



            <h3 class="panel-tittle m-a0"><span class="fa fa-calendar-check-o"></span> <?php _e('Service Availability', 'appointy'); ?></h3>



        </div>



        <div class="aon-admin-headRight">



            <div class="sf-onoffbtn"><input name="service_availability" type="checkbox" value="true"  data-toggle="toggle" data-style="ios" <?php echo ($service_availability_status) ? 'checked="checked"' : ''; ?>></div>



        </div>



    </div>                                                 



	



	<div class="aon-avl-instructions main-service <?php echo ($extra_service === 'yes') ? 'collapse' : ''; ?>">



	<p><?php _e('Service hours should remain in the range of global available hours defined in the Availability. For example if global available hours are defined from 9:00 to 18:00 for Monday, then service hours can be defined such as 10:00 to 18:00 , 11:00 to 16:00, or 9:00 to 17:00.', 'appointy'); ?></p>



	



	<p><?php _e('Note: Service start time should not be less than global start time and service end time should not be more than global end time.', 'appointy'); ?></p>



	</div>



    <div class="cards aon-card panel panel-default about-me-here main-service <?php echo ($extra_service === 'yes') ? 'collapse' : ''; ?>" id="service_availability_area">



		<div class="cards aon-card-body panel-body sf-panel-body p-a30">



            <div class="row">



                <ul class="sf-service-vailable-list clearfix">



                    <?php



					$weekdays = Appointy_Service_Helper::get_weekdays();



					if( !empty($weekdays) ) {



						foreach( $weekdays as $key => $value ) {



						



						$start_time = (!empty($service_availability[$key][0])) ? $service_availability[$key][0] : '';



						$end_time = (!empty($service_availability[$key][1])) ? $service_availability[$key][1] : '';



						$status = (!empty($service_availability[$key][2])) ? $service_availability[$key][2] : false;



									



						$colorcodes = Appointy_Service_Helper::get_weekdays_color_code();



						$colorclass = Appointy_Router_Helper::get_request_data( $colorcodes, $key );



						?>



						<li class="clearfix">



						<div class="col-lg-3 col-md-3 service-availability-dayname">



							<span class="site-button outline button-sm m-r20 m-t10 btn-block max-w120 text-center <?php echo sanitize_html_class($colorclass); ?>"><?php echo trim(strtoupper($value)); ?></span>



						</div>



						<div class="col-lg-3 col-md-3 col-sm-6">



							<div class="timepicker date input-group" id="startpicker_<?php echo esc_attr($key); ?>">



								<input name="start_time[<?php echo esc_attr($key); ?>]" class="form-control" placeholder="<?php _e('Start Time','appointy'); ?>" type="text" value="<?php echo esc_attr($start_time); ?>" >



								<span class="input-group-addon">



									<span class="fa fa-clock-o"></span>



								</span>



							</div>



						</div>



						<div class="col-lg-3 col-md-3 col-sm-6">



							<div class="timepicker date input-group" id="endpicker_<?php echo esc_attr($key); ?>">



								<input name="end_time[<?php echo esc_attr($key); ?>]" class="form-control" placeholder="<?php _e('End Time','appointy'); ?>" type="text" value="<?php echo esc_attr($end_time); ?>" >



								<span class="input-group-addon">



									<span class="fa fa-clock-o"></span>



								</span>



							</div>



						</div>



						<div class="col-lg-3 col-md-3 service-availability-onoff">



							<?php if( !empty($serviceid) && $serviceid > 0 ) { ?>



							<a class="site-button-link" href="javascript:;" data-day="<?php echo esc_attr($key); ?>" data-interval="<?php echo Appointy_Service_Helper::get_weekday_interval($key); ?>" data-bs-toggle="modal" data-bs-target="#manageslotsmodal"><i class="feather-plus"></i> <?php _e('Manage Slots', 'appointy'); ?></a>



							<?php } ?>



							<div class="sf-onoffbtn"><input name="status[<?php echo esc_attr($key); ?>]" <?php echo ($status) ? 'checked="checked"' : ''; ?> value="true" type="checkbox" data-toggle="toggle" data-style="ios"></div>



						</div>                                



						</li>



						<?php	



						}



					}



					?>



                </ul>



            </div>



        </div>



		



		<?php echo ($service_availability_status) ? '' : '<div class="ser-avl-overlay"></div>'; ?>



    </div>



    



    <div class="aon-admin-heading d-flex justify-content-between align-items-center">



        <div class="aon-admin-headLeft">



            <h3 class="panel-tittle m-a0"><span class="fa fa-cog"></span> <?php _e('Service Type','appointy'); ?></h3>



        </div>



    </div> 



	



    <div class="cards aon-card panel panel-default about-me-here">



        <div class="cards aon-card-body panel-body sf-panel-body p-a30">



			<div class="aon-tabs-one">



				<?php



                if( isset($serviceid) && $serviceid > 0 ) {



                    $servicetype = get_post_meta($serviceid,'_servicetype',true);



                    



					



					if($extra_service === 'yes'){



						$hourlyactive = '';



						$fixactive = ($servicetype === 'fix') ? 'active' : '';



						$packageactive = '';



					}else{



						$hourlyactive = ($servicetype === 'hourly') ? 'active' : '';



						$fixactive = ($servicetype === 'fix') ? 'active' : '';



						$packageactive = ($servicetype === 'package') ? 'active' : '';



					}



					



                } else {



                    $hourlyactive = 'active';



                    $fixactive = '';



                    $packageactive = '';



                }



                ?>



				<ul class="nav nav-tabs nav-table-cell text-center" id="servicetype">



				  <li class="nav-item <?php echo sanitize_html_class($hourlyactive); ?>">



					<a class="nav-link <?php echo sanitize_html_class($hourlyactive); ?>" data-bs-toggle="tab" href="#tab-111" id="tab-hourly" data-type="hourly"><i class="fa fa-clock-o"></i> <?php _e('Hourly','appointy'); ?></a>



				  </li>



				  <li class="nav-item <?php echo sanitize_html_class($fixactive); ?>">



					<a class="nav-link <?php echo sanitize_html_class($fixactive); ?>" data-bs-toggle="tab" href="#tab-222" id="tab-fix" data-type="fix"><i class="fa fa-thumb-tack"></i> <?php _e('Fixed Price','appointy'); ?></a>



				  </li>



				  <li class="nav-item <?php echo sanitize_html_class($packageactive); ?>">



					<a class="nav-link <?php echo sanitize_html_class($packageactive); ?>" data-bs-toggle="tab" href="#tab-333" id="tab-package" data-type="package"><i class="fa fa-cubes"></i> <?php _e('Package','appointy'); ?></a>



				  </li>



				</ul>



                                                    



                <div class="tab-content">



                    <div class="tab-pane <?php echo sanitize_html_class($hourlyactive); ?>" id="tab-111">



                        <div class="sf-outline-wrap radius-sm m-b30">



                            <div class="row">



                                <div class="col-md-3">



                                    <h5 class="p-t15"><?php _e('Variations','appointy'); ?></h5>



                                </div>



                                



                                <div class="col-md-9">



                                    <div class="sf-versions-list">



                                        <div id="field">



                                        <?php



                                        $i = 0;



                                        if( isset($serviceid) ) {



											$variations = get_post_meta($serviceid,'_service_variations',true);



											if( !empty($variations) ) {



												foreach($variations as $variation) {



												if($i > 0) { 



												?>



												<button id="remove<?php echo esc_attr($i); ?>" class="btn btn-danger remove-me" ><i class="fa fa-close"></i></button>



												<?php 



												} 



												?>



												<div id="field<?php echo esc_attr($i); ?>">



												<div class="sf-versions-box sf-outline-wrap bg-gray-light radius-sm" data-fieldid="<?php echo esc_attr($i); ?>">



													<div class="form-horizontal">



														<div class="form-groupss">



														  <label class="control-label col-sm-2"><?php _e('Service Name','appointy'); ?>:</label>



														  <div class="col-sm-10">



															<input required title="<?php _e('Please insert service name','appointy'); ?>" class="form-control" name="service_variation_name[<?php echo esc_attr($i); ?>]" type="text" value="<?php echo esc_attr($variation[0]); ?>">



														  </div>



		



														</div>



														<div class="form-group">



														  <label class="control-label col-sm-2"><?php _e('Duration','appointy'); ?>:</label>



														  <div class="col-sm-5">



														  <div class="sf-slider-wrap sf-slider-custom">



														  <input class="durationslider" name="service_variation_hours[<?php echo esc_attr($i); ?>]" type="text" data-slider-min="0" data-slider-max="24" data-slider-step="1" data-slider-value="<?php echo esc_attr($variation[1]); ?>"/>



														  



														  <b class="sf-minimum-mile"><?php _e('0 Hour','appointy'); ?></b>



														  <b class="sf-maximum-mile"><b class="sf-maximum-mile"><?php _e('24 Hours','appointy'); ?></b></b>



														  </div>



														  </div>



														  <div class="col-sm-5">          



														  <div class="sf-slider-wrap sf-slider-custom">



														  <input class="durationslider" name="service_variation_minutes[<?php echo esc_attr($i); ?>]" type="text" data-slider-min="0" data-slider-max="60" data-slider-step="1" data-slider-value="<?php echo esc_attr($variation[2]); ?>"/>



														  



														  <b class="sf-minimum-mile"><?php _e('0 Minutes','appointy'); ?></b>



														  <b class="sf-maximum-mile"><b class="sf-maximum-mile"><?php _e('60 Minutes','appointy'); ?></b></b>



														  </div>



														  </div>



														</div>



														<div class="form-group">



														  <label class="control-label col-sm-2"><?php _e('Price','appointy'); ?>:</label>



														  <div class="col-sm-5 sf-servicetype-price">          



															<div class="fs-inputicon-box">



															<i class="sf-currency-icon fs-input-icon fa"><?php echo Appointy_Misc_Helper::get_currency_symbol(); ?></i>



															<input title="<?php _e('Please insert sale price','appointy'); ?>" class="form-control service-variation-price" name="service_variation_price[<?php echo esc_attr($i); ?>]" type="text" value="<?php echo esc_attr($variation[3]); ?>" placeholder="<?php _e('Please insert sale price','appointy'); ?>">



															</div>



														  </div>



														  <div class="col-sm-5">          



															<div class="fs-inputicon-box">



															<i class="sf-currency-icon fs-input-icon fa"><?php echo Appointy_Misc_Helper::get_currency_symbol(); ?></i>



															<input required title="<?php _e('Please insert regular price','appointy'); ?>" class="form-control service-variation-regular-price" name="service_variation_regular_price[<?php echo esc_attr($i); ?>]" type="text" value="<?php echo esc_attr($variation[4]); ?>" placeholder="<?php _e('Please insert regular price','appointy'); ?>">



															</div>



														  </div>



														</div>



														



														<div class="form-group">



                                                   		<div class="col-md-12">



															<button class="site-button" type="button" data-variationid="<?php echo esc_attr($i); ?>" data-serviceid="<?php echo esc_attr($serviceid); ?>" data-bs-toggle="modal" data-bs-target="#hourlypricebylocationsmodal"><i class="feather-plus"></i> <?php _e('Add Price by Locations', 'appointy'); ?></button>



														</div>   



                                                    	</div>



												  </div>



												</div>



												</div>



												<?php



												$i++;



												}



											} else {



											?>



											<div id="field<?php echo esc_attr($i); ?>">



												<div class="sf-versions-box sf-outline-wrap bg-gray-light radius-sm" data-fieldid="<?php echo esc_attr($i); ?>"> 



													<div class="form-horizontal">



														<div class="form-groupss">



														  <label class="control-label col-sm-2"><?php _e('Service Name','appointy'); ?>:</label>



														  <div class="col-sm-10">



															<input required title="<?php _e('Please insert service name','appointy'); ?>" class="form-control" name="service_variation_name[<?php echo esc_attr($i); ?>]" type="text">



														  </div>



														</div>



														<div class="form-group">



														  <label class="control-label col-sm-2"><?php _e('Duration','appointy'); ?>:</label>



														  <div class="col-sm-5">



														  <div class="sf-slider-wrap sf-slider-custom">



														  <input class="durationslider" name="service_variation_hours[<?php echo esc_attr($i); ?>]" type="text" data-slider-min="0" data-slider-max="24" data-slider-step="1" data-slider-value=""/>



														  <b class="sf-minimum-mile"><?php _e('0 Hour','appointy'); ?></b>



														  <b class="sf-maximum-mile"><b class="sf-maximum-mile"><?php _e('24 Hours','appointy'); ?></b></b>



														  </div>



														  </div>



														  <div class="col-sm-5">          



														  <div class="sf-slider-wrap sf-slider-custom">



														  <input class="durationslider" name="service_variation_minutes[<?php echo esc_attr($i); ?>]" type="text" data-slider-min="0" data-slider-max="60" data-slider-step="1" data-slider-value=""/>



														  <b class="sf-minimum-mile"><?php _e('0 Minutes','appointy'); ?></b>



														  <b class="sf-maximum-mile"><b class="sf-maximum-mile"><?php _e('60 Minutes','appointy'); ?></b></b>



														  </div>



														  </div>



														</div>



														<div class="form-group">



														  <label class="control-label col-sm-2"><?php _e('Price','appointy'); ?>:</label>



														  <div class="col-sm-5 sf-servicetype-price">          



															<div class="fs-inputicon-box">



															<i class="sf-currency-icon fs-input-icon fa"><?php echo Appointy_Misc_Helper::get_currency_symbol(); ?></i>



															<input title="<?php _e('Please insert sale price','appointy'); ?>" class="form-control service-variation-price" name="service_variation_price[<?php echo esc_attr($i); ?>]" type="text" placeholder="<?php _e('Please insert sale price','appointy'); ?>">



															</div>



														  </div>



														  <div class="col-sm-5">          



															<div class="fs-inputicon-box">



															<i class="sf-currency-icon fs-input-icon fa"><?php echo Appointy_Misc_Helper::get_currency_symbol(); ?></i>



															<input required title="<?php _e('Please insert regular price','appointy'); ?>" class="form-control service-variation-regular-price" name="service_variation_regular_price[<?php echo esc_attr($i); ?>]" type="text" placeholder="<?php _e('Please insert regular price','appointy'); ?>">



															</div>



														  </div>



														</div>



														



														<div class="form-group">



                                                   		<div class="col-md-12">



															<button class="site-button" type="button" data-variationid="<?php echo esc_attr($i); ?>" data-serviceid="<?php echo esc_attr($serviceid); ?>" data-bs-toggle="modal" data-bs-target="#hourlypricebylocationsmodal"><i class="feather-plus"></i> <?php _e('Add Price by Locations', 'appointy'); ?></button>



														</div>   



                                                    	</div>



												  </div>



												</div>



											</div>



											<?php



											}



                                        } else {



                                        if($i > 0) { 



                                        ?>



                                        <button id="remove<?php echo esc_attr($i); ?>" class="btn btn-danger remove-me" ><i class="fa fa-close"></i></button>



                                        <?php 



                                        } 



                                        ?>



                                        <div id="field<?php echo esc_attr($i); ?>">



                                            <div class="sf-versions-box sf-outline-wrap bg-gray-light radius-sm" data-fieldid="<?php echo esc_attr($i); ?>">



                                                <div class="form-horizontal">



                                                    <div class="form-groupss">



                                                      <label class="control-label col-sm-2"><?php _e('Service Name','appointy'); ?>:</label>



                                                      <div class="col-sm-10">



                                                        <input required title="<?php _e('Please insert service name','appointy'); ?>" class="form-control" name="service_variation_name[<?php echo esc_attr($i); ?>]" type="text">



                                                      </div>



                                                    </div>



                                                    <div class="form-group">



                                                      <label class="control-label col-sm-2"><?php _e('Duration','appointy'); ?>:</label>



                                                      <div class="col-sm-5">



                                                      <div class="sf-slider-wrap sf-slider-custom">



                                                      <input class="durationslider" name="service_variation_hours[<?php echo esc_attr($i); ?>]" type="text" data-slider-min="0" data-slider-max="24" data-slider-step="1" data-slider-value=""/>



                                                      <b class="sf-minimum-mile"><?php _e('0 Hour','appointy'); ?></b>



                                                      <b class="sf-maximum-mile"><b class="sf-maximum-mile"><?php _e('24 Hours','appointy'); ?></b></b>



                                                      </div>



                                                      </div>



                                                      <div class="col-sm-5">          



                                                      <div class="sf-slider-wrap sf-slider-custom">



                                                      <input class="durationslider" name="service_variation_minutes[<?php echo esc_attr($i); ?>]" type="text" data-slider-min="0" data-slider-max="60" data-slider-step="1" data-slider-value=""/>



                                                      <b class="sf-minimum-mile"><?php _e('0 Minutes','appointy'); ?></b>



                                                      <b class="sf-maximum-mile"><b class="sf-maximum-mile"><?php _e('60 Minutes','appointy'); ?></b></b>



                                                      </div>



                                                      </div>



                                                    </div>



                                                    <div class="form-group">



                                                      <label class="control-label col-sm-2"><?php _e('Price','appointy'); ?>:</label>



                                                      <div class="col-sm-5 sf-servicetype-price">          



                                                        <div class="fs-inputicon-box">



                                                        <i class="sf-currency-icon fs-input-icon fa"><?php echo Appointy_Misc_Helper::get_currency_symbol(); ?></i>



                                                        <input title="<?php _e('Please insert sale price','appointy'); ?>" class="form-control service-variation-price" name="service_variation_price[<?php echo esc_attr($i); ?>]" type="text" placeholder="<?php _e('Please insert sale price','appointy'); ?>">



                                                        </div>



                                                      </div>



                                                      <div class="col-sm-5">          



                                                        <div class="fs-inputicon-box">



                                                        <i class="sf-currency-icon fs-input-icon fa"><?php echo Appointy_Misc_Helper::get_currency_symbol(); ?></i>



                                                        <input required title="<?php _e('Please insert regular price','appointy'); ?>" class="form-control service-variation-regular-price" name="service_variation_regular_price[<?php echo esc_attr($i); ?>]" type="text" placeholder="<?php _e('Please insert regular price','appointy'); ?>">



                                                        </div>



                                                      </div>



                                                    </div>



													



													<div class="form-group">



													<div class="col-md-12">



														<button class="site-button" type="button" data-variationid="<?php echo esc_attr($i); ?>" data-serviceid="<?php echo esc_attr($serviceid); ?>" data-bs-toggle="modal" data-bs-target="#hourlypricebylocationsmodal"><i class="feather-plus"></i> <?php _e('Add Price by Locations', 'appointy'); ?></button>



													</div>   



													</div>



													



                                              </div>



                                            </div>



                                        </div>



                                        <?php



                                        }



                                        ?>



                                        </div>



                                        <button type="button" id="add-more-veriations" class="btn site-button"><i class="fa fa-plus"></i> <?php _e('Add More','appointy'); ?></button>



                                    </div>



                                </div>



                                



                            </div>



                        </div>



                    </div>



                    



                    <div id="tab-222" class="tab-pane <?php echo sanitize_html_class($fixactive); ?>">



                        <div class="sf-outline-wrap radius-sm m-b30">



                            <div class="row m-b10">



                                <div class="col-md-4">



                                    <h5 class="p-t15 sf-fixed-price-label"><?php _e('Fixed Price','appointy'); ?></h5>



                                </div>



                                <?php



                                if(isset($serviceid)) {



									$fixedprice = get_post_meta($serviceid,'_service_fixed_price',true);



									$fixedregularprice = get_post_meta($serviceid,'_service_fixed_regular_price',true);



									$service_fixed_hours = get_post_meta($serviceid,'_service_fixed_hours',true);



									$service_fixed_minutes = get_post_meta($serviceid,'_service_fixed_minutes',true);



                                } else {



									$fixedprice = '';



									$fixedregularprice = '';



									$service_fixed_hours = '';



									$service_fixed_minutes = '';



                                }



                                ?>



                                <div class="col-md-4 sf-servicetype-price">



                                    <div class="fs-inputicon-box">



                                    <i class="sf-currency-icon fs-input-icon fa"><?php echo Appointy_Misc_Helper::get_currency_symbol(); ?></i>



                                    <input title="<?php _e('Please insert sale price','appointy'); ?>" class="form-control" type="text" name="service_fixed_price" value="<?php echo esc_attr($fixedprice); ?>" placeholder="<?php _e('Please insert sale price','appointy'); ?>">



                                    </div>



                                </div>



                                <div class="col-md-4">



                                    <div class="fs-inputicon-box">



                                    <i class="sf-currency-icon fs-input-icon fa"><?php echo Appointy_Misc_Helper::get_currency_symbol(); ?></i>



                                    <input required title="<?php _e('Please insert regular price','appointy'); ?>" class="form-control" type="text" name="service_fixed_regualr_price" value="<?php echo esc_attr($fixedregularprice); ?>" placeholder="<?php _e('Please insert regular price','appointy'); ?>">



                                    </div>



                                </div>



                            </div>



                            <div class="row">



                                    <div class="col-md-4">



                                        <h5 class="p-t5"><?php _e('Service Duration','appointy'); ?></h5>



                                    </div>



                                    <div class="col-md-4">



                                    <div class="sf-slider-wrap sf-slider-custom">



                                      <input class="durationslider" name="service_fixed_hours" type="text" data-slider-min="0" data-slider-max="24" data-slider-step="1" data-slider-value="<?php echo esc_attr($service_fixed_hours); ?>"/>



                                      



                                      <b class="sf-minimum-mile"><?php _e('0 Hour','appointy'); ?></b>



                                      <b class="sf-maximum-mile"><b class="sf-maximum-mile"><?php _e('24 Hours','appointy'); ?></b></b>



                                      </div>



                                    </div>                                                              



                                    <div class="col-md-4">



                                    <div class="sf-slider-wrap sf-slider-custom">



                                      <input class="durationslider" name="service_fixed_minutes" type="text" data-slider-min="0" data-slider-max="60" data-slider-step="1" data-slider-value="<?php echo esc_attr($service_fixed_minutes); ?>"/>



                                      



                                      <b class="sf-minimum-mile"><?php _e('0 Minutes','appointy'); ?></b>



                                      <b class="sf-maximum-mile"><b class="sf-maximum-mile"><?php _e('60 Minutes','appointy'); ?></b></b>



                                    </div>



                                    </div>



									



									<div class="col-md-12">



										<button class="site-button" type="button" data-bs-toggle="modal" data-bs-target="#pricebylocationsmodal"><i class="feather-plus"></i> <?php _e('Add Price by Locations', 'appointy'); ?></button>



									</div>



                                </div>



                        </div>



                    </div>



                    



                    <div id="tab-333" class="tab-pane <?php echo sanitize_html_class($packageactive); ?>">



                        <div class="sf-outline-wrap radius-sm m-b30">



                                <?php



                                if(isset($serviceid))



                                {



                                $package_price = get_post_meta($serviceid,'_package_price',true);



                                $package_regular_price = get_post_meta($serviceid,'_package_regular_price',true);



                                $package_hours = get_post_meta($serviceid,'_package_hours',true);



                                $package_minutes = get_post_meta($serviceid,'_package_minutes',true);



                                



                                }else



                                {



                                $package_price = '';



                                $package_regular_price = '';



                                $package_hours = '';



                                $package_minutes = '';



                                }



                                ?>



                                <div class="row m-b10">



                                    <div class="col-md-4">



                                        <h5 class="p-t5"><?php _e('Package Price','appointy'); ?></h5>



                                    </div>



                                    <div class="col-md-4 sf-servicetype-price">



                                        <div class="fs-inputicon-box">



                                        <i class="sf-currency-icon fs-input-icon fa"><?php echo Appointy_Misc_Helper::get_currency_symbol(); ?></i>



                                        <input title="<?php _e('Please insert sale price','appointy'); ?>" class="form-control" type="text" name="package_price" value="<?php echo esc_attr($package_price); ?>" placeholder="<?php _e('Please insert sale price','appointy'); ?>">



                                        </div>



                                    </div>



                                    <div class="col-md-4">



                                        <div class="fs-inputicon-box">



                                        <i class="sf-currency-icon fs-input-icon fa"><?php echo Appointy_Misc_Helper::get_currency_symbol(); ?></i>



                                        <input required title="<?php _e('Please insert regular price','appointy'); ?>" class="form-control" type="text" name="package_regualr_price" value="<?php echo esc_attr($package_regular_price); ?>" placeholder="<?php _e('Please insert regular price','appointy'); ?>">



                                        </div>



                                    </div>



                                </div>



                                <div class="row">



                                    <div class="col-md-4">



                                        <h5 class="p-t5"><?php _e('Package Duration','appointy'); ?></h5>



                                    </div>



                                    <div class="col-md-4">



                                    <div class="sf-slider-wrap sf-slider-custom">



                                      <input class="durationslider" name="package_hours" type="text" data-slider-min="0" data-slider-max="24" data-slider-step="1" data-slider-value="<?php echo esc_attr($package_hours); ?>"/>



                                      



                                      <b class="sf-minimum-mile"><?php _e('0 Hour','appointy'); ?></b>



                                      <b class="sf-maximum-mile"><b class="sf-maximum-mile"><?php _e('24 Hours','appointy'); ?></b></b>



                                      </div>



                                    </div>                                                              



                                    <div class="col-md-4">



                                    <div class="sf-slider-wrap sf-slider-custom">



                                      <input class="durationslider" name="package_minutes" type="text" data-slider-min="0" data-slider-max="60" data-slider-step="1" data-slider-value="<?php echo esc_attr($package_minutes); ?>"/>



                                      



                                      <b class="sf-minimum-mile"><?php _e('0 Minutes','appointy'); ?></b>



                                      <b class="sf-maximum-mile"><b class="sf-maximum-mile"><?php _e('60 Minutes','appointy'); ?></b></b>



                                    </div>



                                    </div>



									



									<div class="col-md-12">



										<button class="site-button" type="button" data-bs-toggle="modal" data-bs-target="#pricebylocationsmodal"><i class="feather-plus"></i> <?php _e('Add Price by Locations', 'appointy'); ?></button>



									</div>



                                </div>



                            </div>



                    </div>



                </div>



            </div>            



        </div>



    </div>



    </form>



	



	<?php Appointy_Template_Loader::get_template_part( 'admin/notification-box' ); ?>



	



	<?php Appointy_Template_Loader::get_template_part( 'admin/services/price-by-locations' ); ?>



	



	<?php Appointy_Template_Loader::get_template_part( 'admin/services/manage-slots' ); ?>



	



	<?php Appointy_Template_Loader::get_template_part( 'admin/services/hourly-price-by-locations' ); ?>



    <?php Appointy_Template_Loader::get_template_part( 'panel-loading' ); ?>



</div>



