<?php

$current_date = current_time('Y-m-d');

$date_after_one_day = date('Y-m-d', strtotime($current_date . ' +1 day'));

$date_after_two_day = date('Y-m-d', strtotime($current_date . ' +2 day'));

?>
<div class="row add-bg align-items-center" id="check_availability_wrapper">
    <form action="<?php echo Appointy_Misc_Helper::get_url_by_shortcode( '[appointy-booking-form' ); ?>" method="post">
        <div class="booking-input-box">
            <h4><?php echo esc_html__( 'Check In','appointy' ); ?></h4>
            <input type="date" name="start_range" value="<?php echo esc_attr($date_after_one_day); ?>" placeholder="<?php _e('Check In','appointy'); ?>" />
        </div>
        <div class="booking-input-box">
            <h4><?php echo esc_html__( 'Check Out','appointy' ); ?></h4>
            <input type="date" name="end_range" value="<?php echo esc_attr($date_after_two_day); ?>" placeholder="<?php _e('Check Out','appointy'); ?>" />
        </div>
        <div class="booking-input-box">
            <h4><?php echo esc_html__( 'Rooms','appointy' ); ?></h4>
            <select name="rooms" placeholder="<?php echo esc_html__( 'Select Rooms','appointy' ); ?>">
            	<?php
                for($i = 1;$i <= 25;$i++){
					$selected = ($i == 1) ? 'selected="selected"' : '';
					echo '<option '.$selected.' value="'.$i.'">'.$i.'</option>';
				}
				?>
            </select>
        </div>
        <div class="booking-input-box">
            <h4><?php echo esc_html__( 'Adults','appointy' ); ?></h4>
            <select name="adults" placeholder="<?php echo esc_html__( 'Select Adults','appointy' ); ?>">
            	<?php
                for($i = 1;$i <= 25;$i++){
					$selected = ($i == 2) ? 'selected="selected"' : '';
					echo '<option '.$selected.' value="'.$i.'">'.$i.'</option>';
				}
				?>
            </select>
        </div>
        <div class="booking-input-box upper">
            <h4><?php echo esc_html__( 'Children','appointy' ); ?></h4>
            <select name="children" placeholder="<?php echo esc_html__( 'Select Children','appointy' ); ?>">
            	<?php
                for($i = 0;$i <= 25;$i++){
					$selected = ($i == 0) ? 'selected="selected"' : '';
					echo '<option '.$selected.' value="'.$i.'">'.$i.'</option>';
				}
				?>
            </select>
        </div>
        <div class="booking-button">
            <button type="submit"><?php echo esc_html__( 'Book Now','appointy' ); ?></button>
        </div>
    </form>
    <div id="status"></div>
</div>

