<?php
if ( ! defined( 'ABSPATH' ) ) {
exit;
}
?>

<div class="page-wraper">
	<!-- CONTENT START -->
	<div class="page-content">
		<!-- Login Form -->
		<div class="aon-login1-wrap">
			<div class="ap-login-area">
				<div class="col-md-12">
					<div class="aon-login-logo"> <img src="<?php echo esc_url(Appointy_Misc_Helper::get_dashboard_logo()); ?>" alt=""/> </div>
				</div>
				<div class="ap-login-form-box" >
					<?php if( !is_user_logged_in() ) { ?> 
					<form class="aon-login1-form site-login-form">
						<div class="row">
							<?php
							$login_fields = Appointy_Login_Helper::login_fields();
							if( !empty( $login_fields ) ) {
								foreach( $login_fields as $key => $field ){
									
									Appointy_Form_Helper::get_form_structure($key,$field);
								}
							}
							?>
							<div class="col-sm-12">
								<div class="form-group sign-term-con">
									<div class="checkbox sf-radio-checkbox">
										<input id="rememberme" name="rememberme" value="yes" type="checkbox">
										<label for="rememberme"><?php echo esc_html__( 'Remember Me', 'appointy' ); ?></label>
									</div>
								</div>
							</div>
							<div class="col-sm-12">
								<button type="submit" class="site-button w-100"><?php echo esc_html__( 'Login', 'appointy' ); ?> <i class="feather-arrow-right"></i> </button>
							</div>
						</div>
					</form>
					<?php } else { ?>
					<div class="appointy-loggedin-box">
					<?php echo esc_html__('You have already logged in.', 'appointy').' <a href="'.wp_logout_url(home_url('/appointy-login/')).'">'.esc_html__('Logout','appointy').'</a>'; ?>
					</div>
					<?php } ?>
				</div>
			</div>
		</div>
	</div>
	<!-- CONTENT END -->
</div>
