<?php
if ( ! defined( 'ABSPATH' ) ) {
exit;
}
global $wpdb;

$repeat_service_id = Appointy_Router_Helper::get_request_data( $_GET, 'repeatserviceid' );
$row = $wpdb->get_row($wpdb->prepare('SELECT `appointment_id`,`service_id` FROM `'.$wpdb->prefix.'appointy_repeat_schedule` WHERE `id` = %d',$repeat_service_id));
?>
<div class="section-full p-t90 p-b60 bg-white">
	<div class="container">
		<?php if($repeat_service_id > 0) { ?>
        <?php 
		if(!empty($row)) {
		$appointment_id = Appointy_Router_Helper::get_sanitize_data($row,'appointment_id');
		$service_id = Appointy_Router_Helper::get_sanitize_data($row,'service_id');
		?>
        <div class="sf-myaccount-heading ap-invoice-wrapper">
			<div class="sf-myaccount-heading-right">
			<?php
			//if(Appointy_Appointments_Helper::get_repeat_service_payment_status($repeat_service_id) === 'pending') {
			echo '<div class="ap-repeat-payment"><a href="javascript:;" class="site-button button-sm payrepeatpayment" data-appointment_id="'.esc_attr($appointment_id).'" data-repeat_service_id="'.esc_attr($repeat_service_id).'" data-serviceid="'.esc_attr($service_id).'"><i class="feather-credit-card"></i> '.esc_html__('Pay Now','appointy').'</a></div>';
			//}
			?>
		</div>
			
		<div class="panel panel-default">
							
			<div class="panel-body aon-panel-body p-lr0 p-tb30">
				
			<?php
			$row2 = $wpdb->get_row($wpdb->prepare('SELECT `id` FROM `'.$wpdb->prefix.'appointy_booked_services` WHERE `appointment_id` = %d AND `service_id` = %d',$appointment_id,$service_id));
			$service_id = Appointy_Router_Helper::get_sanitize_data($row2,'id');
			$booked_service = Appointy_Appointments_Helper::get_booked_service( $service_id );

			if(!empty($booked_service)) {

					$service_id = Appointy_Router_Helper::get_request_data($booked_service,'id');
					
					$service_post_id = Appointy_Router_Helper::get_request_data($booked_service,'service_id');
					
					$has_repeat = Appointy_Router_Helper::get_request_data($booked_service,'has_repeat');
					$repeat_service_id = Appointy_Router_Helper::get_request_data($booked_service,'repeat_service_id');
					$repeat_service_payment = Appointy_Router_Helper::get_request_data($booked_service,'repeat_service_payment');

					$service_name = Appointy_Router_Helper::get_request_data($booked_service,'service_name');

					$service_name = Appointy_Router_Helper::get_request_data($booked_service,'service_name');

					$servicetype = Appointy_Router_Helper::get_request_data($booked_service,'servicetype');

					$variation_name = Appointy_Router_Helper::get_request_data($booked_service,'variation_name');

					

					$service_name = ($servicetype === 'hourly') ? $variation_name : $service_name;

					

					$booking_date = Appointy_Router_Helper::get_request_data($booked_service,'booking_date');

					$booking_start_time = Appointy_Router_Helper::get_request_data($booked_service,'booking_start_time');

					$booking_end_time = Appointy_Router_Helper::get_request_data($booked_service,'booking_end_time');

					$service_price = Appointy_Router_Helper::get_request_data($booked_service,'service_price');

					$member_id = Appointy_Router_Helper::get_request_data($booked_service,'member_id');

					$branch_id = Appointy_Router_Helper::get_request_data($booked_service,'branch_id');

					$cacellation_reason = Appointy_Router_Helper::get_request_data($booked_service,'cacellation_reason');

					$service_status = Appointy_Router_Helper::get_request_data($booked_service,'service_status');
					
					$hours = Appointy_Router_Helper::get_request_data($booked_service,'hours');
					$minutes = Appointy_Router_Helper::get_request_data($booked_service,'minutes');
					
					$duration = Appointy_Booking_Form_Helper::get_duration($hours,$minutes);
					
					$booking_end_time = date(Appointy_Misc_Helper::get_wp_time_format(), strtotime($booking_date.' '.$booking_start_time." +".sanitize_text_field($duration)." minutes"));

					?>
					<div class="panel panel-default serviceblock-table" id="serviceblock_<?php echo esc_attr($service_id); ?>">
						<div class="panel-body aon-panel-body p-a0">
							<div class="table-responsive">
								<table class="table aon-table sf-service-booking-table">
									<thead>
										<tr>
											<th><?php esc_html_e('Service','appointy'); ?></th>
											<th><?php esc_html_e('Date & Time','appointy'); ?></th>
											<th><?php esc_html_e('Status','appointy'); ?></th>
										</tr>
									</thead>
									<tbody>
										<tr>
											<td><div class="sf-servicebooking-text"><i class="fa fa-gear"></i> <?php echo esc_html($service_name); ?></div>
												<div class="sf-servicebooking-text"><i class="fa fa-clock-o"></i> <?php echo Appointy_Booking_Form_Helper::display_service_hours($hours,$minutes); ?></div></td>
											<td><div class="sf-servicebooking-text blockservice-date"><i class="fa fa-calendar"></i> <?php echo Appointy_Misc_Helper::get_date_format($booking_date); ?></div>
												<div class="sf-servicebooking-text blockservice-time"><i class="fa fa-clock-o"></i> <?php echo Appointy_Misc_Helper::get_time_format($booking_start_time).' - '.Appointy_Misc_Helper::get_time_format($booking_end_time); ?></div></td>
											<td><span id="servicestatus-<?php echo sprintf('%d-%d',$appointment_id,$service_id); ?>" data-toggle="tooltip" class="site-button outline <?php echo sanitize_html_class(Appointy_Misc_Helper::get_status_color(esc_html($service_status))); ?> button-sm">
												<?php 

																	if(get_post_status($appointment_id) === 'cancelled') {

																		echo Appointy_Misc_Helper::translate_string('cancelled');

																	} else {

																		if($service_status === 'pending') {

																			echo Appointy_Misc_Helper::translate_string('in-process');

																		} else {

																			echo Appointy_Misc_Helper::translate_string($service_status);

																		}

																	}

																	?>
												</span> </td>
										</tr>
									</tbody>
								</table>
								
								<div class="sf-assigned-member-info">
										<?php if($member_id > 0) { ?>
										<div class="sf-assigned-membername" id="assignedmemberinfo-<?php echo sprintf('%d-%d',$appointment_id,$service_id); ?>">
										<span class="assigned-member-pic"> <img src="<?php echo Appointy_Staff_Helper::get_user_avatar( $member_id,'appointy-300x300' ); ?>"> </span> <strong><?php echo esc_html__('Staff Member','appointy'); ?>:</strong> <?php echo Appointy_Misc_Helper::get_fullname_by_user_id( $member_id ); ?>
										</div>
										<?php } ?>
									<?php 

							if(get_post_meta($branch_id, 'friendly_address', true) != '') { ?>
									<div class="sf-assigned-branchaddress"><i class="fa fa-map-marker"></i> <strong><?php echo esc_html__('Address: ','appointy'); ?>: </strong><?php echo get_post_meta($branch_id, 'friendly_address', true); ?></div>
									<?php } ?>
									<?php 

							if($service_status === 'cancelled') {

								if($cacellation_reason != '') {

								?>
									<div class="alert alert-danger m-t15"><strong><?php echo esc_html__('Cancellation Reason','appointy'); ?>:</strong> <?php echo esc_html($cacellation_reason); ?></div>
									<?php

								}

						  }

						  ?>
								</div>
							</div>
						</div>
					</div>
					<?php

			}

			?>
							
			</div>
		</div>
        <?php } else { ?>
        <div class="no-invoice data">
        	<?php echo esc_html__('Sorry, this repeat service not exist.','appointy'); ?>
        </div>
        <?php } ?>
        <?php } else { ?>
        <div class="">
        	<?php echo esc_html__('Not found.','appointy'); ?>
        </div>
        <?php } ?>
	</div>
	</div>
</div>