<?php
if ( ! defined( 'ABSPATH' ) ) {
exit;
}

$user = wp_get_current_user();
$user_roles = $user->roles;

if(in_array('appointy_staff',$user_roles)) {
?>
<div class="page-wraper">
	<!-- CONTENT START -->
	<div class="page-content">
		<div class="container">
			<?php Appointy_Template_Loader::get_template_part( 'staff-dashboard/navigation' ); ?>
			
			<?php
			if(Appointy_Router_Helper::get_sanitize_data( $_GET, 'navitem' ) === 'appointments') {
				Appointy_Template_Loader::get_template_part( 'staff-dashboard/appointments' );
			} elseif(Appointy_Router_Helper::get_sanitize_data( $_GET, 'navitem' ) === 'availability') {
				Appointy_Template_Loader::get_template_part( 'staff-dashboard/availability' );
			} elseif(Appointy_Router_Helper::get_sanitize_data( $_GET, 'navitem' ) === 'feedback') {
				Appointy_Template_Loader::get_template_part( 'staff-dashboard/feedback' );
			} elseif(Appointy_Router_Helper::get_sanitize_data( $_GET, 'navitem' ) === 'password') {
				Appointy_Template_Loader::get_template_part( 'staff-dashboard/password' );
			} elseif(Appointy_Router_Helper::get_sanitize_data( $_GET, 'navitem' ) === 'calendar') {
				Appointy_Template_Loader::get_template_part( 'staff-dashboard/calendar' );
			} elseif(Appointy_Router_Helper::get_sanitize_data( $_GET, 'navitem' ) === 'view-appointment') {
				Appointy_Template_Loader::get_template_part( 'staff-dashboard/view-appointment' );
			} elseif(Appointy_Router_Helper::get_sanitize_data( $_GET, 'navitem' ) === 'google-calendar') {
				if ( PHP_VERSION_ID >= 80100) {
				Appointy_Template_Loader::get_template_part( 'staff-dashboard/google-calendar' );
				}else{
				echo '<div class="alert alert-danger">'.sprintf(esc_html__('Google calendar integration requires a PHP version ">= 8.1.0". You are running ' . PHP_VERSION . '.', 'appointy')).'</div>';
				}
			} else {
				Appointy_Template_Loader::get_template_part( 'staff-dashboard/account' );
			}
			?>
		</div>
	</div>
	<!-- CONTENT END -->
</div>
<?php
}else{
echo '<div class="not-access">'.esc_html__( 'Sorry, You are not authorised to access thio page.', 'appointy' ).'</div>';
?><script>window.location.href = '<?php echo home_url(); ?>';</script><?php
}

