<?php $user_id = intval(Appointy_Router_Helper::get_request_data( $_GET, 'user_id', '0' )); ?>
<div class="modal left fade" id="custom_schedule_modal" tabindex="-1" aria-labelledby="exampleModalLabel1" aria-hidden="true">
  <div class="modal-dialog">
    <div class="modal-content">
		<form class="customscheduleform" id="customscheduleform">
        	<input type="hidden" name="user_id" value="<?php echo esc_attr($user_id)?>">
            <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLabel2"><i class="feather-user-plus"></i> <?php _e('Days With Custom Schedules', 'appointy'); ?></h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="<?php _e('Close', 'appointy'); ?>"></button>
            </div>
            <div class="modal-body">
            	<div class="row">
					<div class="form-group">
                        <label for="exampleInputEmail1"><?php echo esc_html__( 'Date', 'appointy' ); ?></label>
                        <div class="aon-inputicon-box"> 
                            <input data-rule-required="true" data-msg-required="<?php echo esc_html__( 'Please choose date', 'appointy' ); ?>" class="form-control sf-form-control futuredatepicker" name="custom_date" type="text" placeholder="<?php echo Appointy_Misc_Helper::datepicker_format();?>">
                            <i class="aon-input-icon fa fa-calendar"></i>
                        </div>
                    </div>
                    
                    <div class="workperiod" id="workperiod-customdate">
                        <ul class="availibility-list" id="customfield-custom">
                            <li class="row customfield-working-hours" id="customfield-custom0">
                                <div class="col-md-4 availibility-start">
                                    <div class="form-group">
                                        <div class="availibility-edit2">
                                            <div class="availibility-time-select input-group date timepicker" id="startpicker_custom">
                                                <input class="form-control sf-form-control" name="start_time[custom][]" type="text" placeholder="<?php _e('Start time', 'appointy'); ?>">
                                                <span class="input-group-addon"><span class="aon-input-icon fa fa-clock-o"></span></span>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-4 availibility-end">
                                    <div class="form-group">
                                        <div class="availibility-edit2">
                                            <div class="availibility-time-select input-group date timepicker" id="endpicker_custom">
                                                <input class="form-control sf-form-control" name="end_time[custom][]" type="text" placeholder="<?php _e('End time', 'appointy'); ?>">
                                                <span class="input-group-addon"><span class="aon-input-icon fa fa-clock-o"></span></span>
                                            </div>
                                        </div>
                                    </div>
    
                                </div>
                                <div class="col-lg-4 col-md-4 col-sm-6 sf-daytime-has" id="interval_custom">
                                    <select class="form-select" name="interval[custom][]" title="<?php _e('Interval', 'appointy'); ?>">
                                    <?php
                                    echo '<option value="">'.esc_html__('Select Interval', 'appointy').'</option>';
                                    $intervals = Appointy_Availability_Helper::get_intervals();
                                    if( !empty( $intervals ) ) {
                                        foreach( $intervals as $fieldkey => $fieldvalue ) {
                                            if( $interval == $fieldkey ) {
                                                $select = 'selected="selected"';
                                            } else {
                                                $select = '';
                                            }
                                            echo '<option '.esc_attr($select).' value="'.esc_attr($fieldkey).'">'.esc_html($fieldvalue).'</option>';	
                                        }
                                    }
                                    ?>
                                    </select>
                                </div>
                            </li>
                        </ul>
						<div class="add-another-custom-time" data-weekday="custom"><i class="fa fa-plus"></i> <?php echo esc_html__( 'Add time period', 'appointy' ); ?></div>
					</div>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="site-button-secondry" data-bs-dismiss="modal"><?php _e('Close', 'appointy'); ?></button>
                <button type="submit" class="site-button" id="customscheduleformsubmit" disabled="disabled"><?php _e('Save', 'appointy'); ?></button>
            </div>
            <?php wp_nonce_field('appointy_ajax_nonce', '_nonce'); ?>
		</form>      
		<?php Appointy_Template_Loader::get_template_part( 'panel-loading' ); ?>
    </div>
  </div>
</div>
