<?php
wp_enqueue_media(); 
wp_enqueue_style('bootstrap-datatable');
wp_enqueue_script('bootstrap-datatable');
?>
<div class="content-admin-main">
    
    <div class="invoice-datatable-outer">
        <div class="aon-admin-heading d-flex justify-content-between align-items-center">
            <div class="aon-admin-headLeft">
                <h3><?php _e('Invoice', 'appointy'); ?></h3>
            </div>  
             <div class="aon-admin-headRight">
                 <a href="<?php echo esc_url(Appointy_Router_Helper::generate_link(['invoice', 'add'])); ?>" class="site-button"><i class="feather-plus"></i> <?php _e('Add Invoice', 'appointy'); ?></a>
            </div>
        </div> 
        
        <div class="cards aon-card">
            <div class="card-body aon-card-body">
                <div class="table-responsive">
                    <?php Appointy_Template_Loader::get_template_part( 'admin/invoice/listing' ); ?>
                </div>
            </div>
        </div>
    </div>
    
    
    <div class="cards aon-card collapse invoice-view-outer">
        <div class="card-body aon-card-body">
            <div id="invoice-view-container">
            </div>
        </div>
    </div>
</div>

<?php Appointy_Template_Loader::get_template_part( 'admin/notification-box' ); ?>