<?php

wp_enqueue_script( 'plupload' );

wp_enqueue_script( 'appointy-image-manager' );

wp_enqueue_script( 'appointy-upload-files' );



$disabledWeekDays = Appointy_Booking_Form_Helper::get_available_weekdays();



wp_localize_script('appointy-booking-form', 'bookingformdata', array(

	'weekdaysNotInTable' => $disabledWeekDays

));

?>

<div class="page-wraper">

	<div class="page-content">

		<form method="post" name="appointment__form" id="appointment__form">

		<section class="section-full sf-tb-st1 sf-booking-area">

			<div class="container">

				<div class="row">

					<div class="col-lg-5">

						<div class="sf-content-l-wrap">

							<span class="summary-close-btn closesmrypanel"><i class="feather-x"></i> <?php echo esc_html__( 'CLOSE','appointy' ); ?></span>

							<div class="sf-content-left-iner">

								<div class="sf-booking-fram-block" id="ap-no-servi-add"> 

								

								<?php

								$show_left_panel_logo = Appointy_Misc_Helper::get_settings( 'booking_settings', 'show_left_panel_logo' );

								$left_panel_logo = Appointy_Misc_Helper::get_settings( 'booking_settings', 'left_panel_logo' );

								$left_panel_text = Appointy_Misc_Helper::get_settings( 'booking_settings', 'left_panel_text' );

								?>

								

								<?php if($left_panel_logo == '' && $left_panel_text == '') { ?>

									<div class="sf-cart-empty-wrap">

										<div class="sf-cart-empty-image"><img class="logofull" src="<?php echo esc_url(APPOINTY_IMAGE_URL.'empty-cart.png'); ?>" alt=""></div>

										<div class="sf-cart-empty-text"><?php echo esc_html__( 'Cart is Empty','appointy' ); ?></div>

									</div>

								<?php }else{ ?>

									<div class="sf-cart-empty-wrap">

										<?php if($left_panel_logo != '' && (bool) $show_left_panel_logo === true) { ?>

											<div class="sf-cart-empty-image"><img class="logofull" src="<?php echo esc_url($left_panel_logo); ?>" alt=""></div>

										<?php }elseif($left_panel_logo == '' && (bool) $show_left_panel_logo === true){ ?>

											<div class="sf-cart-empty-image"><img class="logofull" src="<?php echo esc_url(APPOINTY_IMAGE_URL.'empty-cart.png'); ?>" alt=""></div>

										<?php } ?>

										<?php if($left_panel_text != '') { ?>

											<div class="sf-cart-empty-text"><?php echo Appointy_Misc_Helper::get_settings( 'booking_settings', 'left_panel_text' ); ?></div>

										<?php } ?>

									</div>

									<?php } ?>

								</div>

								

								<div id="serviceinfobox">

								</div>

								

								<div class="sf-booking-fram-block" id="ap-summary-box">

									<div class="sf-booking-head">

										<div class="sf-booking-close-btn">

											<button type="button" class="leftboxclose"> <i class="feather-x"></i> </button>

										</div>

										<h2 class="sf-booking-head-title"><?php echo esc_html__( 'Booking Summary','appointy' ); ?></h2>

									</div>

									<div class="sf-booking-body" id="appointy-booksumry-list">

									</div>

									<div class="sf-booking-footer">

										<ul id="appointy-booksumry-bottom">

										</ul>

									</div>

									<div class="sf-coupan-code-overlay collapse">

										<div class="sf-coupan-table">

											<div class="sf-coupan-cell">

												<div class="sf-coupans-box">

													<h4 class="m-b30"><span class="sf-heading-icon text-green"><i class="fa fa-percent"></i></span> <?php esc_html_e( 'Promo code','appointy' ) ?></h4>

													<div class="input-group">

														<input type="text" class="form-control" name="couponcode" placeholder="<?php echo esc_attr( 'Coupon Code','appointy' ) ?>">

														<span class="input-group-btn">

															<button class="site-button verifybookingcoupon" type="button"><?php esc_html_e( 'Verify','appointy' ) ?></button>

														</span>

													</div>

													<div class="sf-coupans-succses sf-coupon-verified"></div>     

													<div class="sf-coupans-error sf-coupon-failed"></div>             	

												</div>

											</div>

										</div>

										<span class="sf-coupanCode-close"><i class="fa fa-close"></i></span>

									</div>

									

									<button type="button" class="ap-form-btn-next continuetocustomer collapse"><?php echo esc_html__( 'Continue','appointy' ); ?> <i class="feather-arrow-right"></i></button>

								</div>

								<div class="sf-booking-fram-block aon-extra-service-wrap collapse" id="ap-extra-service-box">

									<div class="sf-booking-head">

										<div class="sf-booking-close-btn">

											<button type="button" class="leftboxclose"> <i class="feather-x"></i> </button>

										</div>

										<h2 class="sf-booking-head-title"><?php echo esc_html__( 'Choose Extra Services','appointy' ); ?></h2>

									</div>

									<ul class="ap-extra-services-list" id="extra_services_holder">

									</ul>

									<button class="ap-form-btn-next continueafterexser" type="button"><?php echo esc_html__( 'Continue','appointy' ); ?> <i class="feather-arrow-right"></i></button>

								</div>

								<div class="sf-booking-fram-block aon-locations-wrap" id="ap-your-location-box">

									<div class="sf-back-panel-button">

										<button class="sf-content-page-back-btn backtoextraservices" type="button"><i class="fa fa-angle-left"></i><?php echo esc_html__( 'Back','appointy' ); ?></button>

									</div>

									<div class="sf-booking-head">

										<div class="sf-booking-close-btn">

											<button type="button" class="leftboxclose"> <i class="feather-x"></i> </button>

										</div>

										<h2 class="sf-booking-head-title"><?php echo esc_html__( 'Choose Your Location','appointy' ); ?></h2>

									</div>

									<ul class="ap-location-list" id="booking_locations">

										<?php 

										$locations = Appointy_Booking_Form_Helper::get_locations();

										if(!empty($locations)) {

											foreach( $locations as $location ) {

												$locationid = Appointy_Router_Helper::get_request_data($location,'ID');

												$attachment_id = get_post_meta($locationid, 'image_id', true);

												$address = get_post_meta($locationid, 'friendly_address', true);

												

												if($attachment_id > 0) {

													$image_url = Appointy_Image_Helper::get_image_url_by_id($attachment_id);

												} else {

													$image_url = Appointy_Image_Helper::get_image_url_by_id();

												}

												?>

												<li class="ap-loca-col locationitem" data-locationid="<?php echo esc_attr($locationid); ?>" data-address="<?php echo esc_attr($address); ?>">

													<div class="ap-loca-box-wrap">

														<div class="sf-loca-box-icon"> <i class="feather-map-pin"></i> </div>

														<div class="sf-loca-box-info">

															<h6 class="sf-loca-box-title"><?php echo get_the_title($location); ?></h6>

															<span class="sf-loca-address-line"><?php echo esc_html($address); ?></span> </div>

													</div>

												</li>

												<?php

											}

										}

										?>

									</ul>

								</div>

								<div class="sf-booking-fram-block aon-staff-member-wrap" id="ap-our-teams-box">

									<div class="sf-back-panel-button">

										<button class="sf-content-page-back-btn backtolocations" type="button"><i class="fa fa-angle-left"></i><?php echo esc_html__( 'Back','appointy' ); ?></button>

									</div>

									<div class="sf-booking-head">

										<div class="sf-booking-close-btn">

											<button type="button" class="leftboxclose"> <i class="feather-x"></i> </button>

										</div>

										<h2 class="sf-booking-head-title"><?php echo esc_html__( 'Choose Staff Memeber','appointy' ); ?></h2>

									</div>

									<ul class="sf-team-member-list" id="load_staff_member">

									</ul>

								</div>

								<div class="sf-booking-fram-block aon-dates-time-wrap" id="ap-calender-box">

									<div class="sf-back-panel-button">

										<button class="sf-content-page-back-btn backtomembers" type="button"><i class="fa fa-angle-left"></i><?php echo esc_html__( 'Back','appointy' ); ?></button>

									</div>

									<div class="sf-booking-head">

										<div class="sf-booking-close-btn">

											<button type="button" class="leftboxclose"> <i class="feather-x"></i> </button>

										</div>

										<h2 class="sf-booking-head-title"><?php echo esc_html__( 'Select Date & Time','appointy' ); ?></h2>

									</div>

									<div class="sf-calendar">

										<div class="calendar" id="bookingcalendar">

											<div class="singledatepicker-warpper">

												<div class="bookingdates singledatepicker"></div>

											</div>

											<div class="multidatepicker-warpper">

												<div class="bookingdates multidatepicker"></div>

												<button type="button" class="ap-form-btn-next continueaftermultidate"><?php echo esc_html__( 'Continue','appointy' ); ?> <i class="feather-arrow-right"></i></button>

											</div>

											<div class="daterangepicker-warpper">

												<div class="input-daterange input-group daterangepicker">

													<input type="text" class="input-sm form-control" name="start_range" placeholder="<?php _e('Start Date','appointy'); ?>" />

													<span class="input-group-addon"><?php _e('to','appointy'); ?></span>

													<input type="text" class="input-sm form-control" name="end_range" placeholder="<?php _e('End Date','appointy'); ?>" />

												</div>

												<button type="button" class="ap-form-btn-next continueaftermultidate"><?php echo esc_html__( 'Continue','appointy' ); ?> <i class="feather-arrow-right"></i></button>

											</div>

										</div>

									</div>

									<div class="sf-time-area">

										<ul class="sf-time-listing row booking-slots">

										</ul>

									</div>

								</div>

							</div>

						</div>

						<?php Appointy_Template_Loader::get_template_part( 'panel-front-loading' ); ?>

					</div>

					<div class="col-lg-7">

						<div class="ap-apoint-right">

							<ul class="sf-steps-st1">

								<li class="active" id="bookingstep1"> <a href="javascript:;"> <span>1</span>

									<p><?php echo esc_html__( 'Service','appointy' ); ?></p>

									</a> </li>

								<li id="bookingstep2"> <a href="javascript:;"> <span>2</span>

									<p><?php echo esc_html__( 'Info','appointy' ); ?></p>

									</a> </li>

							</ul>

							<div class="containt">

								<div id="servicearea">

								<?php

								$texonomy = 'appointy_service_category';

								$categories = Appointy_Booking_Form_Helper::get_booking_categories();

								

								$parent_categories = (!empty($categories['parent'])) ? (array) $categories['parent'] : array();

								$child_categories = (!empty($categories['child'])) ? (array) $categories['child'] : array();

								

								$i = 1;

								if( !empty( $parent_categories ) ) {

									echo '<div class="aon-sevices-owl-wrap">

											<div class="owl-carousel aon-servces-slider aon-owl-arrow-circle owl-btn-vertical-center">';

									foreach( $parent_categories as $term_id ) {

									$term = get_term( $term_id, $texonomy );				

									?>

									<div class="item filterservices" data-termid="<?php echo esc_attr($term_id); ?>" data-slug="<?php echo esc_attr($term->slug); ?>">

										<div class="aon-servi-name-box">

											<div class="aon-cate-name"><?php echo esc_html($term->name); ?> <span class="badge-num"><?php echo Appointy_Booking_Form_Helper::get_total_category_services($term_id); ?></span></div>

										</div>

									</div>

										<?php

										$term_children = get_term_children( $term_id, $texonomy );

										

										if( !empty( $term_children ) && !empty($child_categories) ) {

											$havechildflag = 0;

											$havechild = '';

											foreach( $term_children as $child_term_id ) {	

												if( in_array($child_term_id,$child_categories) ) {

													$havechildflag = 1;

													$child_term = get_term( $child_term_id, $texonomy );

													$childcat_slug = Appointy_Router_Helper::get_request_data($child_term,'slug');

													$childcat_name = Appointy_Router_Helper::get_request_data($child_term,'name');

													$totalservice = Appointy_Booking_Form_Helper::get_total_category_services($child_term_id);

													$havechild .= sprintf('<div class="item filterservices" data-termid="%d" data-slug="%s">

																		<div class="aon-servi-name-box">

																			<div class="aon-cate-name">%s <span class="badge-num">%d</span></div>

																		</div>

																	</div>',esc_attr($child_term_id),esc_attr($childcat_slug),$childcat_name,$totalservice);

												}

											}

											if($havechildflag === 1) {

											echo wp_kses_post($havechild,Appointy_Misc_Helper::get_allowed_tags());

											}

										}

										?>

									<?php

									$i++;

									}

									echo '    </div>

									</div>';

								}

								?>

								<div class="aon-book-pop-head">

									<h2 class="aon-book-pop-head-title"><i class="flaticon-settings"></i> <?php echo esc_html__( 'Select Services','appointy' ); ?></h2>

								</div>

								<div class="sf-blocks-wrapst1">

									<?php

									$k = 1;

									if( !empty( $parent_categories ) ) {

										foreach( $parent_categories as $term_id ) {

										?>

											<?php

											$args = array(

												'post_status' => 'publish',

												'posts_per_page' => -1,

												'post_type' => 'appointy_services',

												'tax_query' => array(

													array(

														'taxonomy' => $texonomy,

														'field'    => 'term_id',

														'terms'    => $term_id,

													),

												),

												'meta_query' => array(

													'relation' => 'OR',

													array(

														'key' => 'extra_service',

														'value' => 'no',

														'compare' => '='

													),

													array(

														'key' => 'extra_service',

														'compare' => 'NOT EXISTS'

													),

												)

											);

											$the_query = new WP_Query( $args );

											$total_booking_serives = $the_query->found_posts;

											

											$post_ids = [];

											$i = 0;

											$j = 1;

											if ( $the_query->have_posts() ) {

												while ( $the_query->have_posts() ) : $the_query->the_post();

													$post_id = get_the_id();		

													$service_terms = get_the_terms($post_id,$texonomy);

													

													$servicetype = get_post_meta($post_id,'_servicetype',true);

													

													if( !empty( $service_terms ) ) {

														$class = [];

														foreach( $service_terms as $service_term ) {

															$class[] = sanitize_html_class($service_term->slug);

														}

													}

													?>

													<div class="sf-service-box service-box <?php echo esc_attr(implode(' ',$class)); ?>">

														<div class="sf-service-naming"><?php the_title(); ?></div>

														<div class="sf-service-type"><?php echo Appointy_Misc_Helper::translate_string($servicetype); ?></div>

														<div class="sf-service-detail">

															<a href="javascript:;" class="service-detail" data-serviceid="<?php echo esc_attr($post_id); ?>"><?php esc_html_e( 'Show Details','appointy' ); ?></a>

															<?php

															if( $servicetype === 'hourly' || $servicetype === 'package' || $servicetype === 'fix' ) {

																if( $servicetype === 'hourly' ) {

																	$top_bottom_period = Appointy_Booking_Form_Helper::get_variation_min_max_period($post_id);

																	

																	$top_bottom_period_min = Appointy_Router_Helper::get_request_data($top_bottom_period,'min');

																	$top_bottom_period_max = Appointy_Router_Helper::get_request_data($top_bottom_period,'max');

																	

																	$service_period = sprintf('%s - %s',Appointy_Booking_Form_Helper::convert_minutes_to_hours($top_bottom_period_min),Appointy_Booking_Form_Helper::convert_minutes_to_hours($top_bottom_period_max));

																} elseif( $servicetype === 'package' ) {

																

																$package_hours = get_post_meta($post_id,'_package_hours',true);

																$package_minutes = get_post_meta($post_id,'_package_minutes',true);

																

																$period = Appointy_Booking_Form_Helper::get_duration($package_hours,$package_minutes);

																

																$service_period = Appointy_Booking_Form_Helper::display_service_hours($package_hours,$package_minutes);

																

																$hours = $package_hours;

																$minutes = $package_minutes;

																} elseif( $servicetype === 'fix' ) {

																

																$service_fixed_hours = get_post_meta($post_id,'_service_fixed_hours',true);

																$service_fixed_minutes = get_post_meta($post_id,'_service_fixed_minutes',true);

																

																$period = Appointy_Booking_Form_Helper::get_duration($service_fixed_hours,$service_fixed_minutes);

																

																$service_period = Appointy_Booking_Form_Helper::display_service_hours($service_fixed_hours,$service_fixed_minutes);

																

																$hours = $service_fixed_hours;

																$minutes = $service_fixed_minutes;

																}

															}

															?>

														</div>

														<?php

														if( $servicetype === 'fix' || $servicetype === 'package' ) {

															if( $servicetype === 'fix' ) {

																$service_price = get_post_meta($post_id,'_service_fixed_price',true);

																$delprice = get_post_meta($post_id,'_service_fixed_regular_price',true);

																

																if((!$service_price > 0) || $service_price === '') {

																	$tempprice = $service_price;

																	$service_price = $delprice;

																	$delprice = $tempprice;

																}

																

																if($delprice > 0) {

																	$del_price = sprintf('<del><span class="icon"></span>%s</del>',Appointy_Misc_Helper::get_price_format($delprice));

																} else {

																	$del_price = '';

																}

																

															} elseif( $servicetype === 'package' ) {

																$service_price = get_post_meta($post_id,'_package_price',true);

																$delprice = get_post_meta($post_id,'_package_regular_price',true);

																

																if((!$service_price > 0) || $service_price === '') {

																	$tempprice = $service_price;

																	$service_price = $delprice;

																	$delprice = $tempprice;

																}

																

																if($delprice > 0) {

																	$del_price = sprintf('<del><span class="icon"></span>%s</del>',Appointy_Misc_Helper::get_price_format($delprice));

																} else {

																	$del_price = '';

																}

															}

														

														$attachment_id = get_post_meta($post_id, 'image_id', true);



														$serviethumb = Appointy_Image_Helper::get_image_url_by_id($attachment_id,'thumbnail');

														

														$options = array(

															'id' 	=> $k,

															'service_id' 		=> $post_id,

															'service_name' 		=> get_the_title(),

															'service_image' 	=> $serviethumb,

															'repeat' 			=> get_post_meta($post_id,'repeat',true),

															'frequencies' 		=> get_post_meta($post_id,'frequencies',true),

															'extra_service'		=> Appointy_Booking_Form_Helper::has_extra_service($post_id),

															'multidate_service'	=> get_post_meta($post_id,'multidate_service',true),

															'multidate_service_type'	=> get_post_meta($post_id,'multidate_service_type',true),

															'number_of_dates'	=> get_post_meta($post_id,'number_of_dates',true),

															'fullday_timeslots'	=> get_post_meta($post_id,'fullday_timeslots',true),

															'parent_category' 	=> $term_id,

															'servicetype'		=> $servicetype,

															'service_period' 	=> ( !empty( $period ) ) ? $period : '',

															'hours' 			=> $hours,

															'minutes' 			=> $minutes,

															'display_service_period' 	=> $service_period,

															'service_price' 	=> $service_price,

															'old_service_price' => '',

															'couponcode' 		=> '',

															'coupon_verified' 	=> false,

															'couponcode_available' 	=> Appointy_Booking_Form_Helper::has_couponcode_available_for_service($post_id),

															'show_branches' 	=> Appointy_Booking_Form_Helper::has_service_locations_available($post_id),

															'members_available' => Appointy_Booking_Form_Helper::has_members_available($post_id)

														);

														?>

														<div class="sf-servi-price">

														<div class="sf-service-price"><?php printf($del_price); ?></div>

														<div class="sf-service-price2"><span class="icon"></span><?php echo Appointy_Misc_Helper::get_price_format($service_price); ?></div>

														</div>

														<?php

														}elseif($servicetype === 'hourly' || $servicetype === '') {

														?>

														<div class="sf-servi-price"></div>

														<?php

														}

														?>

														<?php

														if( $servicetype === 'fix' || $servicetype === 'package' ) {

														?>

														<div class="sf-service-bookbtn">

															<button id="addtocart-<?php echo esc_attr($k); ?>" class="book-btn addtocart" type="button" data-options="<?php echo esc_attr(wp_json_encode( $options )); ?>"><?php esc_html_e( 'Book','appointy' ) ?></button>

														</div>

														<?php 

														}

														?>

														<?php

														if( $servicetype === 'hourly' ) {

														$service_variations = get_post_meta($post_id,'_service_variations',true);

														if( !empty( $service_variations ) ) {

														?>

														<div class="sf-service-bookbtn">

															<button class="book-btn opensidepanel" type="button" data-term_id="<?php echo esc_attr($term_id);?>" data-id="<?php echo esc_attr($k);?>" data-id="<?php echo esc_attr($k);?>" data-postid="<?php echo esc_attr($post_id);?>"><?php esc_html_e( 'View','appointy' ) ?></button>

														</div>

														<?php	

														}

														}elseif($servicetype === '') {

														echo '<div class="sf-service-bookbtn"></div>';

														}

														?>

													</div>

													<?php

													$k++;

													$i++;

													$j++;

												endwhile;

												wp_reset_postdata();

											}else

											{

												echo '<div class="sf-no-result">';

												esc_html_e( 'Sorry, no service found matching your criteria.','appointy' );

												echo '</div>';

											}

											?>

										<?php	

											$k++;

											}

									} else {

										echo '<div class="sf-no-result">';

										esc_html_e( 'Sorry, no service found.','appointy' );

										echo '</div>';

									}	

									?>

								</div>

								</div>

								

								<div class="sf1-sevices-wrap collapse" id="customerarea">

									<div class="aon-customer-wrap">

										<div class="aon-book-pop-head">

											<h2 class="aon-book-pop-head-title"><i class="flaticon-timetable"></i> <?php echo __( 'Customer Information','appointy' ); ?></h2>

										</div>

										<div class="row aon-book-date-time">

											<?php

											if(is_user_logged_in()) {

											$user_id = get_current_user_id();

											$staffinfo = get_userdata( $user_id );

											}

											

											$appointment_form_fields = Appointy_Booking_Form_Helper::appointment_form_fields();

											if( !empty( $appointment_form_fields ) ) {

												foreach( $appointment_form_fields as $key => $field ){

													if(is_user_logged_in()) {

														if($key === 'email'){

															$field['value'] = Appointy_Router_Helper::get_request_data( $staffinfo, 'user_email' );

														}elseif($key === 'country_code'){

															$default_country = Appointy_Misc_Helper::get_settings( 'general_settings', 'default_country' );

															if($default_country != '') {

																$countrycode = Appointy_Sms_Helper::get_country_code_by_country_name($default_country);

																$field['value'] = $countrycode;

															}

														}else{

															$field['value'] = get_user_meta( $user_id, $key, true );

														}

													}else{

														if($key === 'country_code'){

															$default_country = Appointy_Misc_Helper::get_settings( 'general_settings', 'default_country' );

															if($default_country != '') {

																$countrycode = Appointy_Sms_Helper::get_country_code_by_country_name($default_country);

																$field['value'] = $countrycode;

															}

														}

													}

													Appointy_Form_Helper::get_form_structure($key,$field);

												}

											}

											?>

											<?php

											$servicelocationoption = true;

											$serviceperformat = 'both';

											if((bool) $servicelocationoption === true && ($serviceperformat === 'home' || $serviceperformat === 'both'))

											{

											if($serviceperformat === 'both')

											{

											?>

											<div class="col-md-12">

												<label><?php esc_html_e('Service Perform At','appointy'); ?></label>

												<div class="form-group form-inline sf-radioCheckbox-error">

													<div class="radio sf-radio-checkbox m-b15">

														<input id="serviceathome" class="sf-validate-control" name="serviceperformat" value="home" type="radio" data-rule-required="true" data-msg-required="<?php esc_html_e('Select service perform at','appointy'); ?>">

														<label for="serviceathome"><?php esc_html_e('At Home','appointy'); ?></label>

													</div>

													<div class="radio sf-radio-checkbox m-b15">

														<input id="serviceatshop" class="sf-validate-control" name="serviceperformat" value="shop" type="radio" data-rule-required="true" data-msg-required="<?php esc_html_e('Select service perform at','appointy'); ?>">

														<label for="serviceatshop"><?php esc_html_e('At Shop','appointy'); ?></label>

													</div>

												</div>

											</div>

											<?php

											}

											$addressvisiblilty = ($serviceperformat === 'both') ? 'collapse' : '';

											?>

											<div class="col-md-12 <?php echo sanitize_html_class($addressvisiblilty); ?>" id="bookingservicelocation">

												<div class="form-group">

													<label><?php esc_html_e('Address','appointy'); ?></label>

													<div class="aon-inputicon-box"> 

														<input class="form-control sf-form-control" placeholder="<?php esc_html_e('Enter your address','appointy'); ?>" id="serviceperformaddress" name="address" type="text" data-rule-required="true" data-msg-required="<?php esc_html_e('Address is required','appointy'); ?>">

														<i class="aon-input-icon fa fa-map-marker"></i>

													</div>

												</div>

											</div>

											<?php

											}

											?>

											<a href="javascript:;" class="havegiftcard"><?php echo __('Have Gift Card','appointy'); ?></a>

											

											<div id="giftcardwrap" class="collapse">

											<div class="row">

											<div class="col-md-6">

												<div class="form-group">

													<label><?php esc_html_e('Voucher Number','appointy'); ?></label>

													<div class="aon-inputicon-box"> 

														<input class="form-control sf-form-control" placeholder="<?php esc_html_e('Voucher Number','appointy'); ?>" name="vouchernumber" type="text">

														<i class="aon-input-icon fa fa-gift"></i>

													</div>

												</div>

											</div>

											<div class="col-md-6">

												<div class="form-group">

													<label><?php esc_html_e('Voucher Pin','appointy'); ?></label>

													<div class="aon-inputicon-box"> 

														<input class="form-control sf-form-control" placeholder="<?php esc_html_e('Voucher Pin','appointy'); ?>" name="voucherpin" type="password">

														<i class="aon-input-icon fa fa-lock"></i>

													</div>

												</div>

											</div>

											<div class="col-md-12">

											<a href="javascript:;" class="site-button applygiftcard"><?php echo __('Apply','appointy'); ?></a>

											</div>

											</div>

											</div>

											

											<?php 

											$booking_attachments = (Appointy_Misc_Helper::get_settings( 'booking_settings', 'booking_attachments' )) ? 'yes' : 'no';

											if($booking_attachments === 'yes') {

												$max_file_uploads = Appointy_Misc_Helper::get_settings( 'booking_settings', 'max_file_uploads',5 );

												$max_file_uploads = intval($max_file_uploads);

												$upload_file_extensions = Appointy_Misc_Helper::get_settings( 'booking_settings', 'upload_file_extensions','jpg,jpeg,gif,png,doc,docx,pdf,xls,xlsx,txt,ppt,pptx' );

												echo do_shortcode('[appointy-upload placeholder="'.esc_html__('Upload attachments','appointy').'" field_id="booking_attachments" max_file_uploads='.$max_file_uploads.' extensions="'.$upload_file_extensions.'"]'); 

											}

											?>

										  </div>

									</div>

								</div>

							</div>

							<div class="sf-btn-next-prev" id="appointy-bottom-btns">

							</div>

							<div id="appointy-smrybar-wrap">

								<div class="ap-summary-bar"><div class="ap-summary-left"> <i class="feather-shopping-cart"></i> <span class="ap-summary-addnum">0</span> </div><div class="ap-summary-right"> <strong  class="ap-sumry-totaltext"> <?php echo __('Total Value','appointy'); ?></strong> <span class="ap-sumry-amount" id="smrybartotal"><?php echo Appointy_Misc_Helper::get_price_format(0); ?></span> </div></div>

							</div>

						</div>

					</div>

				</div>

			</div>

			<div id="sidepanel" class="ap-service-panel">

			<span class="se-panel-heading panelclose"><i class="feather-x"></i></span>

			<div class="se-panel-content" id="panelcontent">

			</div>

			</div>

		</section>

		</form>

	</div>

</div>

