<?php

wp_enqueue_script( 'plupload' );

wp_enqueue_script( 'appointy-image-manager' );

wp_enqueue_script( 'appointy-upload-files' );



$disabledWeekDays = Appointy_Booking_Form_Helper::get_available_weekdays();



$single_service_id = Appointy_Router_Helper::get_request_data( $_POST, 'service_id' );



if (!empty($_POST['selected_extras'])) {

	$selected_extras = $_POST['selected_extras'];

}else{

	$selected_extras = array();

}



wp_localize_script('appointy-booking-form', 'bookingformdata', array(

	'weekdaysNotInTable' => $disabledWeekDays,

	'selectedExtras' => $selected_extras,

	'singleServiceId' => $single_service_id

));

?>

<div class="page-wraper">

	<div class="page-content">

		<form method="post" name="appointment__form" id="appointment__form">

		<section class="section-full sf-tb-st1 sf-booking-area">

			<div class="container">

				<div class="row">

					<div class="col-lg-5">

						<div class="sf-content-l-wrap">

							<span class="summary-close-btn closesmrypanel"><i class="feather-x"></i> <?php echo esc_html__( 'CLOSE','appointy' ); ?></span>

							<div class="sf-content-left-iner">

								<div class="sf-booking-fram-block" id="ap-no-servi-add"> 

								

								<?php

								$show_left_panel_logo = Appointy_Misc_Helper::get_settings( 'booking_settings', 'show_left_panel_logo' );

								$left_panel_logo = Appointy_Misc_Helper::get_settings( 'booking_settings', 'left_panel_logo' );

								$left_panel_text = Appointy_Misc_Helper::get_settings( 'booking_settings', 'left_panel_text' );

								?>

								

								<?php if($left_panel_logo == '' && $left_panel_text == '') { ?>

									<div class="sf-cart-empty-wrap">

										<div class="sf-cart-empty-image"><img class="logofull" src="<?php echo esc_url(APPOINTY_IMAGE_URL.'empty-cart.png'); ?>" alt=""></div>

										<div class="sf-cart-empty-text"><?php echo esc_html__( 'Cart is Empty','appointy' ); ?></div>

									</div>

								<?php }else{ ?>

									<div class="sf-cart-empty-wrap">

										<?php if($left_panel_logo != '' && (bool) $show_left_panel_logo === true) { ?>

											<div class="sf-cart-empty-image"><img class="logofull" src="<?php echo esc_url($left_panel_logo); ?>" alt=""></div>

										<?php }elseif($left_panel_logo == '' && (bool) $show_left_panel_logo === true){ ?>

											<div class="sf-cart-empty-image"><img class="logofull" src="<?php echo esc_url(APPOINTY_IMAGE_URL.'empty-cart.png'); ?>" alt=""></div>

										<?php } ?>

										<?php if($left_panel_text != '') { ?>

											<div class="sf-cart-empty-text"><?php echo Appointy_Misc_Helper::get_settings( 'booking_settings', 'left_panel_text' ); ?></div>

										<?php } ?>

									</div>

									<?php } ?>

								</div>

								

								<div id="serviceinfobox">

								</div>

								

								<div class="sf-booking-fram-block" id="ap-summary-box">

									<div class="sf-booking-head">

										<div class="sf-booking-close-btn">

											<button type="button" class="leftboxclose"> <i class="feather-x"></i> </button>

										</div>

										<h2 class="sf-booking-head-title"><?php echo esc_html__( 'Booking Summary','appointy' ); ?></h2>

									</div>

									<div class="sf-booking-body" id="appointy-booksumry-list">

									</div>

									<div class="sf-booking-footer">

										<ul id="appointy-booksumry-bottom">

										</ul>

									</div>

									<div class="sf-coupan-code-overlay collapse">

										<div class="sf-coupan-table">

											<div class="sf-coupan-cell">

												<div class="sf-coupans-box">

													<h4 class="m-b30"><span class="sf-heading-icon text-green"><i class="fa fa-percent"></i></span> <?php esc_html_e( 'Promo code','appointy' ) ?></h4>

													<div class="input-group">

														<input type="text" class="form-control" name="couponcode" placeholder="<?php echo esc_attr( 'Coupon Code','appointy' ) ?>">

														<span class="input-group-btn">

															<button class="site-button verifybookingcoupon" type="button"><?php esc_html_e( 'Verify','appointy' ) ?></button>

														</span>

													</div>

													<div class="sf-coupans-succses sf-coupon-verified"></div>     

													<div class="sf-coupans-error sf-coupon-failed"></div>             	

												</div>

											</div>

										</div>

										<span class="sf-coupanCode-close"><i class="fa fa-close"></i></span>

									</div>

									

									<button type="button" class="ap-form-btn-next continuetocustomer collapse"><?php echo esc_html__( 'Continue','appointy' ); ?> <i class="feather-arrow-right"></i></button>

								</div>

								<div class="sf-booking-fram-block aon-extra-service-wrap collapse" id="ap-extra-service-box">

									<div class="sf-booking-head">

										<div class="sf-booking-close-btn">

											<button type="button" class="leftboxclose"> <i class="feather-x"></i> </button>

										</div>

										<h2 class="sf-booking-head-title"><?php echo esc_html__( 'Choose Extras','appointy' ); ?></h2>

									</div>

									<ul class="ap-extra-services-list" id="extra_services_holder">

									</ul>

									<button class="ap-form-btn-next continueafterexser" type="button"><?php echo esc_html__( 'Continue','appointy' ); ?> <i class="feather-arrow-right"></i></button>

								</div>

							</div>

						</div>

						<?php Appointy_Template_Loader::get_template_part( 'panel-front-loading' ); ?>

					</div>

					<div class="col-lg-7">

						<div class="ap-apoint-right">

							<ul class="sf-steps-st1">

								<li class="active" id="bookingstep1"> <a href="javascript:;"> <span>1</span>

									<p><?php echo esc_html__( 'Rooms','appointy' ); ?></p>

									</a> </li>

								<li id="bookingstep2"> <a href="javascript:;"> <span>2</span>

									<p><?php echo esc_html__( 'Info','appointy' ); ?></p>

									</a> </li>

							</ul>

							<div class="containt">

								<div id="servicearea">

								<?php

								$texonomy = 'appointy_room_type';

								$room_types = Appointy_Room_Helper::get_room_types();

								

								$i = 1;

								if( !empty( $room_types ) ) {

									echo '<div class="aon-sevices-owl-wrap">

											<div class="owl-carousel aon-servces-slider aon-owl-arrow-circle owl-btn-vertical-center">';

									foreach( $room_types as $term ) {

									$term_id = Appointy_Router_Helper::get_request_data( $term, 'term_id' );

									$post_count = $term->count;

									?>

									<div class="item filterservices" data-termid="<?php echo esc_attr($term_id); ?>" data-slug="<?php echo esc_attr($term->slug); ?>">

										<div class="aon-servi-name-box">

											<div class="aon-cate-name"><?php echo esc_html($term->name); ?> <span class="badge-num"><?php echo esc_html($post_count); ?></span></div>

										</div>

									</div>

									<?php

									$i++;

									}

									echo '    </div>

									</div>';

								}

								

								$single_start_range = Appointy_Router_Helper::get_request_data( $_POST, 'start_range' );

								$single_end_range = Appointy_Router_Helper::get_request_data( $_POST, 'end_range' );

								$single_rooms = Appointy_Router_Helper::get_request_data( $_POST, 'rooms', 1 );

								$single_adults = Appointy_Router_Helper::get_request_data( $_POST, 'adults', 2 );

								$single_children = Appointy_Router_Helper::get_request_data( $_POST, 'children', 0 );

								

								$single_rooms = ($single_rooms != '') ? $single_rooms : 1;

								$single_adults = ($single_adults != '') ? $single_adults : 2;

								$single_children = ($single_children != '') ? $single_children : 0;

								

								if($single_start_range != '' && $single_end_range != '') {

								$date_after_one_day = date('d-m-Y', strtotime($single_start_range));

								$date_after_two_day = date('d-m-Y', strtotime($single_end_range));

								}else{

								$current_date = current_time('d-m-Y');

								$date_after_one_day = date('d-m-Y', strtotime($current_date . ' +1 day'));

								$date_after_two_day = date('d-m-Y', strtotime($current_date . ' +2 day'));

								}

								?>

								<div class="section-content calendar" id="bookingcalendar">
                                    <div class="sf-filter-row input-group">
                                        <div class="daterangepicker input-daterange">
                                        <div class="sf-filter-col">
                                            <div class="sf-search-feild sf-form-bx-icon-wrap">
                                                <div class="sf-form-bx-icon"><img src="<?php echo APPOINTY_IMAGE_URL; ?>calender-sm.png"></div>
                                                <input type="text" class="form-control sf-form-contro" name="start_range" value="<?php echo esc_attr($date_after_one_day); ?>" placeholder="<?php _e('Check In','appointy'); ?>" />
                                            </div>
                                        </div>
                                        <div class="sf-filter-col2"><span class="sf-s-feild-mid-text"><?php _e('To','appointy'); ?></span></div>
                                        <div class="sf-filter-col">
                                            <div class="sf-search-feild sf-form-bx-icon-wrap">
                                                <div class="sf-form-bx-icon"><img src="<?php echo APPOINTY_IMAGE_URL; ?>calender-sm.png"></div>
                                                <input type="text" class="form-control sf-form-control" name="end_range" value="<?php echo esc_attr($date_after_two_day); ?>" placeholder="<?php _e('Check Out','appointy'); ?>" />
                                            </div>
                                        </div>
                                        </div>
                                        <div id="roomoptions">
                                        <div class="sf-filter-col">
                                             <div class="sf-search-feild sf-form-bx-icon-wrap">
                                                <div class="sf-form-bx-icon"><img src="<?php echo APPOINTY_IMAGE_URL; ?>adult-2.png"></div>
                                                 <input type="number" min="1" class="form-control sf-form-control" name="adults" placeholder="<?php _e('Adults','appointy'); ?>" value="<?php echo esc_attr($single_adults); ?>" />
                                            </div>
                                        </div>
                                        <div class="sf-filter-col">
                                            <div class="sf-search-feild sf-form-bx-icon-wrap">
                                                <div class="sf-form-bx-icon"><img src="<?php echo APPOINTY_IMAGE_URL; ?>child-2.png"></div>
                                                <input type="number" min="0" class="form-control sf-form-control" name="children" placeholder="<?php _e('Children','appointy'); ?>" value="<?php echo esc_attr($single_children); ?>" />
                                            </div>
                                        </div>
                                        <div class="sf-filter-col collapse">
                                            <div class="sf-search-feild sf-form-bx-icon-wrap">
                                                <input type="number" min="1" class="form-control collapse" name="rooms" placeholder="<?php _e('Rooms','appointy'); ?>" value="<?php echo esc_attr($single_rooms); ?>" />
                                            </div>
                                        </div>
                                        </div>
                                        <div class="sf-filter-col sf-filter-btn">
                                            <button type="button" class="btn btn-primary btn-filter-btn filteravlrooms"><?php echo esc_html__( 'Filter','appointy' ); ?></button>
                                        </div>
                                    </div>
                                </div>
                                
                                <div class="sf-sle-room-section">
                                    <div class="sf-slect-room-bx">
                                        <h2 class="sf-head-title"><i class="fa fa-cog"></i> <?php echo esc_html__( 'Select Rooms','appointy' ); ?></h2>
                                    </div>
                                    <div class="sf-slect-room-bx-list-wrap" id="filteredrooms">
                                        <?php

										$k = 1;
	
										if( !empty( $room_types ) ) {
											echo '<ul>';
											foreach( $room_types as $term ) {
	
											$term_id = Appointy_Router_Helper::get_request_data( $term, 'term_id' );
	
											?>
	
												<?php
	
												$args = array(
	
													'post_status' => 'publish',
	
													'posts_per_page' => -1,
	
													'post_type' => 'appointy_rooms',
	
													'tax_query' => array(
	
														array(
	
															'taxonomy' => $texonomy,
	
															'field'    => 'term_id',
	
															'terms'    => $term_id,
	
														),
	
													)
	
												);
	
												$the_query = new WP_Query( $args );
	
												$total_booking_serives = $the_query->found_posts;
	
												
	
												$post_ids = [];
	
												$i = 0;
	
												$j = 1;
	
												if ( $the_query->have_posts() ) {
	
													while ( $the_query->have_posts() ) : $the_query->the_post();
	
														$post_id = get_the_id();		
	
														
	
														$appointy_room_types = wp_get_post_terms($post_id, 'appointy_room_type');
	
														if (!is_wp_error($appointy_room_types) && !empty($appointy_room_types)) {
	
															$class = [];
	
															foreach ($appointy_room_types as $term) {
	
																$room_type_id = $term->term_id;
	
																$room_type_slug = $term->slug;
	
																$room_type_name = $term->name;
	
																$class[] = sanitize_html_class($term->slug);
	
															}
	
														}
	
														
	
														
	
														$price_per_night = get_post_meta($post_id,'price_per_night',true);
	
														
	
														$attachment_id = get_post_thumbnail_id( $post_id );
	
														
	
														$serviethumb = Appointy_Image_Helper::get_image_url_by_id($attachment_id,'thumbnail');
	
														
	
														$options = array(
	
															'id' 	=> $k,
	
															'service_id' 		=> $post_id,
	
															'service_name' 		=> get_the_title(),
	
															'service_image' 	=> $serviethumb,
	
															'extra_service'		=> Appointy_Room_Helper::has_extra_service($post_id),
	
															'room_type_id'		=> $room_type_id,
	
															'service_price' 	=> $price_per_night,
	
															'old_service_price' => '',
	
															'couponcode' 		=> '',
	
															'coupon_verified' 	=> false,
	
															'couponcode_available' 	=> Appointy_Booking_Form_Helper::has_couponcode_available_for_service($post_id)
	
														);
	
														
	
														?>
														<li class="sf-service-box service-box <?php echo esc_attr(implode(' ',$class)); ?>">
                                                            <div class="sf-slect-room-bx-list">
                                                                <div class="sf-r-top-section">
                                                                    <h3 class="sf-r-title"><?php the_title(); ?></h3>
                                                                    <div class="sf-r-price"><?php echo Appointy_Misc_Helper::get_price_format($price_per_night); ?></div>
                                                                </div>
                                                                <?php
																$room_capacity_adults = get_post_meta($post_id,'room_capacity_adults',true);
																$room_capacity_children = get_post_meta($post_id,'room_capacity_children',true);
																?>
                                                                <div class="sf-r-bot-section">
                                                                    <div class="sf-r-bot-section-left">
                                                                        <?php
																		if(intval($room_capacity_adults) > 0) {
																		?>
																		<div class="sf-r-bot-section-adult">
																			<img src="<?php echo APPOINTY_IMAGE_URL; ?>adult.png" alt="adult pic">
																			<span><?php echo esc_html__( 'Adults','appointy' ); ?>:</span>
																			<span class="count"><?php echo esc_html($room_capacity_adults); ?></span>
																		</div>
																		<?php
																		}
																		?>
																		<?php
																		if(intval($room_capacity_children) > 0) {
																		?>
																		<div class="sf-r-bot-section-adult">
																			<img src="<?php echo APPOINTY_IMAGE_URL; ?>child.png" alt="adult pic">
																			<span><?php echo esc_html__( 'Children','appointy' ); ?>:</span>
																			<span class="count"><?php echo esc_html($room_capacity_children); ?></span>
																		</div>
																		<?php
																		}
																		?>
                                                                    </div>
                                                                    <div class="sf-r-bot-section-right">
                                                                        <div class="sf-r-bot-section-column s-detail">
                                                                            <a href="<?php echo get_the_permalink($post_id); ?>" class="service-detail-link"><?php esc_html_e( 'Show Details','appointy' ); ?></a>
                                                                        </div>
                                                                        <div class="sf-r-bot-section-column b-btn">
                                                                            <button id="addtocart-<?php echo esc_attr($k); ?>" class="addtocart addtocart-<?php echo esc_attr($post_id); ?>" type="button" data-options="<?php echo esc_attr(wp_json_encode( $options )); ?>"><?php esc_html_e( 'Book','appointy' ) ?></button>
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </li>
														<?php
	
														$k++;
	
														$i++;
	
														$j++;
	
													endwhile;
	
													wp_reset_postdata();
	
												}
	
												?>
	
											<?php	
	
												$k++;
	
												}
											echo '</ul>';	
										} else {
	
											echo '<div class="sf-no-result">';
	
											esc_html_e( 'Sorry, no room found.','appointy' );
	
											echo '</div>';
	
										}	
	
										?>
                                        
                                    </div>
                                </div>

								</div>

								

								<div class="sf1-sevices-wrap collapse" id="customerarea">

									<div class="aon-customer-wrap">

										<div class="aon-book-pop-head">

											<h2 class="aon-book-pop-head-title"><i class="flaticon-timetable"></i> <?php echo __( 'Customer Information','appointy' ); ?></h2>

										</div>

										<div class="row aon-book-date-time">

											<?php

											if(is_user_logged_in()) {

											$user_id = get_current_user_id();

											$staffinfo = get_userdata( $user_id );

											}

											

											$appointment_form_fields = Appointy_Booking_Form_Helper::appointment_form_fields();

											if( !empty( $appointment_form_fields ) ) {

												foreach( $appointment_form_fields as $key => $field ){

													if(is_user_logged_in()) {

														if($key === 'email'){

															$field['value'] = Appointy_Router_Helper::get_request_data( $staffinfo, 'user_email' );

														}elseif($key === 'country_code'){

															$default_country = Appointy_Misc_Helper::get_settings( 'general_settings', 'default_country' );

															if($default_country != '') {

																$countrycode = Appointy_Sms_Helper::get_country_code_by_country_name($default_country);

																$field['value'] = $countrycode;

															}

														}else{

															$field['value'] = get_user_meta( $user_id, $key, true );

														}

													}else{

														if($key === 'country_code'){

															$default_country = Appointy_Misc_Helper::get_settings( 'general_settings', 'default_country' );

															if($default_country != '') {

																$countrycode = Appointy_Sms_Helper::get_country_code_by_country_name($default_country);

																$field['value'] = $countrycode;

															}

														}

													}

													Appointy_Form_Helper::get_form_structure($key,$field);

												}

											}

											?>

											<?php /*?><a href="javascript:;" class="havegiftcard"><?php echo __('Have Gift Card','appointy'); ?></a><?php */?>

											

											<?php /*?><div id="giftcardwrap" class="collapse">

											<div class="row">

											<div class="col-md-6">

												<div class="form-group">

													<label><?php esc_html_e('Voucher Number','appointy'); ?></label>

													<div class="aon-inputicon-box"> 

														<input class="form-control sf-form-control" placeholder="<?php esc_html_e('Voucher Number','appointy'); ?>" name="vouchernumber" type="text">

														<i class="aon-input-icon fa fa-gift"></i>

													</div>

												</div>

											</div>

											<div class="col-md-6">

												<div class="form-group">

													<label><?php esc_html_e('Voucher Pin','appointy'); ?></label>

													<div class="aon-inputicon-box"> 

														<input class="form-control sf-form-control" placeholder="<?php esc_html_e('Voucher Pin','appointy'); ?>" name="voucherpin" type="password">

														<i class="aon-input-icon fa fa-lock"></i>

													</div>

												</div>

											</div>

											<div class="col-md-12">

											<a href="javascript:;" class="site-button applygiftcard"><?php echo __('Apply','appointy'); ?></a>

											</div>

											</div>

											</div><?php */?>

											

											<?php 

											$booking_attachments = (Appointy_Misc_Helper::get_settings( 'booking_settings', 'booking_attachments' )) ? 'yes' : 'no';

											if($booking_attachments === 'yes') {

												$max_file_uploads = Appointy_Misc_Helper::get_settings( 'booking_settings', 'max_file_uploads',5 );

												$max_file_uploads = intval($max_file_uploads);

												$upload_file_extensions = Appointy_Misc_Helper::get_settings( 'booking_settings', 'upload_file_extensions','jpg,jpeg,gif,png,doc,docx,pdf,xls,xlsx,txt,ppt,pptx' );

												echo do_shortcode('[appointy-upload placeholder="'.esc_html__('Upload attachments','appointy').'" field_id="booking_attachments" max_file_uploads='.$max_file_uploads.' extensions="'.$upload_file_extensions.'"]'); 

											}

											?>

										  </div>

									</div>

								</div>

							</div>

							<div class="sf-btn-next-prev" id="appointy-bottom-btns">

							</div>

							<div id="appointy-smrybar-wrap">

								<div class="ap-summary-bar"><div class="ap-summary-left"> <i class="feather-shopping-cart"></i> <span class="ap-summary-addnum">0</span> </div><div class="ap-summary-right"> <strong  class="ap-sumry-totaltext"> <?php echo __('Total Value','appointy'); ?></strong> <span class="ap-sumry-amount" id="smrybartotal"><?php echo Appointy_Misc_Helper::get_price_format(0); ?></span> </div></div>

							</div>

						</div>

					</div>

				</div>

			</div>

			<div id="sidepanel" class="ap-service-panel">

			<span class="se-panel-heading panelclose"><i class="feather-x"></i></span>

			<div class="se-panel-content" id="panelcontent">

			</div>

			</div>

		</section>

		</form>

	</div>

</div>

