<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

$editor = apply_filters( 'appointy_wp_editor_args', array(


	'textarea_name' => isset( $field['name'] ) ? $field['name'] : $key,


	'media_buttons' => true,


	'textarea_rows' => 3,


	'quicktags'     => true,


	'tinymce'       => array(


		'plugins'                       => 'lists,paste,tabfocus,wplink,wordpress',


		'paste_as_text'                 => true,


		'paste_auto_cleanup_on_paste'   => true,


		'paste_remove_spans'            => true,


		'paste_remove_styles'           => true,


		'paste_remove_styles_if_webkit' => true,


		'paste_strip_class_attributes'  => true,


		'toolbar1'                      => 'bold,italic,|,bullist,numlist,|,link,unlink,|,undo,redo',


		'toolbar2'                      => '',


		'toolbar3'                      => '',


		'toolbar4'                      => ''


	),


) );


wp_editor( isset( $field['value'] ) ? wp_kses( $field['value'],Appointy_Misc_Helper::get_allowed_tags() ) : '', $key, $editor );


if ( ! empty( $field['description'] ) ) { ?><small class="description"><?php echo wp_kses($field['description'],Appointy_Misc_Helper::get_allowed_tags()); ?></small><?php } ?>


