<?php

use Elementor\Widget_Base;
use Elementor\Controls_Manager;

if(!defined('ABSPATH')) exit;

class AnimationBar extends Widget_Base{

	public function get_name(){
		return "AnimationBar";
	}
	
	public function get_title(){
		return "AnimationBar";
	}
	
	public function get_icon(){
		return "eicon-font";
	}
	
	public function get_categories(){
		return ['dreamit-category'];
	}

	protected function register_controls(){

		$this->start_controls_section(
			'text_section',
			[
				'label' => esc_html__( 'Text', 'dreamit-elementor-extension' ),
				'tab' => \Elementor\Controls_Manager::TAB_CONTENT,
			]
		);

		$this->add_control(
				'title_text',
				[
					'label' => __( 'Title', 'dreamit-elementor-extension' ),
					'type' => \Elementor\Controls_Manager::TEXT,
					'dynamic' => [
						'active' => true,
					],
					'placeholder' => __( 'Enter your title', 'dreamit-elementor-extension' ),
					'label_block' => true,
					'default' => __( 'This is the title', 'dreamit-elementor-extension' ),
				]
			);
		$this->add_control(
				'title_text2',
				[
					'label' => __( 'Title', 'dreamit-elementor-extension' ),
					'type' => \Elementor\Controls_Manager::TEXT,
					'dynamic' => [
						'active' => true,
					],
					'placeholder' => __( 'Enter your title', 'dreamit-elementor-extension' ),
					'label_block' => true,
					'default' => __( 'This is the title', 'dreamit-elementor-extension' ),
				]
			);
		$this->add_control(
				'title_text3',
				[
					'label' => __( 'Title', 'dreamit-elementor-extension' ),
					'type' => \Elementor\Controls_Manager::TEXT,
					'dynamic' => [
						'active' => true,
					],
					'placeholder' => __( 'Enter your title', 'dreamit-elementor-extension' ),
					'label_block' => true,
					'default' => __( 'This is the title', 'dreamit-elementor-extension' ),
				]
			);
			$this->add_control(
				'title_text4',
				[
					'label' => __( 'Title', 'dreamit-elementor-extension' ),
					'type' => \Elementor\Controls_Manager::TEXT,
					'dynamic' => [
						'active' => true,
					],
					'placeholder' => __( 'Enter your title', 'dreamit-elementor-extension' ),
					'label_block' => true,
					'default' => __( 'This is the title', 'dreamit-elementor-extension' ),
				]
			);
			$this->add_control(
				'title_text5',
				[
					'label' => __( 'Title', 'dreamit-elementor-extension' ),
					'type' => \Elementor\Controls_Manager::TEXT,
					'dynamic' => [
						'active' => true,
					],
					'placeholder' => __( 'Enter your title', 'dreamit-elementor-extension' ),
					'label_block' => true,
					'default' => __( 'This is the title', 'dreamit-elementor-extension' ),
				]
			);
			$this->add_control(
				'title_text6',
				[
					'label' => __( 'Title', 'dreamit-elementor-extension' ),
					'type' => \Elementor\Controls_Manager::TEXT,
					'dynamic' => [
						'active' => true,
					],
					'placeholder' => __( 'Enter your title', 'dreamit-elementor-extension' ),
					'label_block' => true,
					'default' => __( 'This is the title', 'dreamit-elementor-extension' ),
				]
			);
			$this->add_control(
				'title_text7',
				[
					'label' => __( 'Title', 'dreamit-elementor-extension' ),
					'type' => \Elementor\Controls_Manager::TEXT,
					'dynamic' => [
						'active' => true,
					],
					'placeholder' => __( 'Enter your title', 'dreamit-elementor-extension' ),
					'label_block' => true,
					'default' => __( 'This is the title', 'dreamit-elementor-extension' ),
				]
			);
			$this->add_control(
				'title_text8',
				[
					'label' => __( 'Title', 'dreamit-elementor-extension' ),
					'type' => \Elementor\Controls_Manager::TEXT,
					'dynamic' => [
						'active' => true,
					],
					'placeholder' => __( 'Enter your title', 'dreamit-elementor-extension' ),
					'label_block' => true,
					'default' => __( 'This is the title', 'dreamit-elementor-extension' ),
				]
			);
			$this->add_control(
				'title_text9',
				[
					'label' => __( 'Title', 'dreamit-elementor-extension' ),
					'type' => \Elementor\Controls_Manager::TEXT,
					'dynamic' => [
						'active' => true,
					],
					'placeholder' => __( 'Enter your title', 'dreamit-elementor-extension' ),
					'label_block' => true,
					'default' => __( 'This is the title', 'dreamit-elementor-extension' ),
				]
			);
			$this->add_control(
				'title_text10',
				[
					'label' => __( 'Title', 'dreamit-elementor-extension' ),
					'type' => \Elementor\Controls_Manager::TEXT,
					'dynamic' => [
						'active' => true,
					],
					'placeholder' => __( 'Enter your title', 'dreamit-elementor-extension' ),
					'label_block' => true,
					'default' => __( 'This is the title', 'dreamit-elementor-extension' ),
				]
			);
			$this->add_control(
				'single_img',
				[
				    'label' => esc_html__('Image','dreamit-elementor-extension'),
				    'type'=> \Elementor\Controls_Manager::MEDIA,
				    'default' => [
					  'url' => \Elementor\Utils::get_placeholder_image_src(),
				    ],
				]
			);
			
			
		$this->end_controls_section();


/*
==========
Style Tab
==========
*/

		$this->start_controls_section(
			'style_section',
			[
				'label' => __( 'Style', 'dreamit-elementor-extension' ),
				'tab' => \Elementor\Controls_Manager::TAB_STYLE,
			]
		);

			$this->add_control(
				'select_style',
				[
					'label' => __( 'Select Style', 'dreamit-elementor-extension' ),
					'type' => \Elementor\Controls_Manager::SELECT,
					'options' => [
						'one' => __( 'One', 'dreamit-elementor-extension' ),
						'two' => __( 'Two', 'dreamit-elementor-extension' ),
					],
					'default' => 'one',
					
				]
			);
		$this->end_controls_section();
		$this->start_controls_section(
			'title_section_style',
			[
				'label' => __( 'Title', 'dreamit-elementor-extension' ),
				'tab' => \Elementor\Controls_Manager::TAB_STYLE,
			]
		);

			$this->add_control(
				'title_color',
				[
					'label' => __( 'Color', 'dreamit-elementor-extension' ),
					'type' => \Elementor\Controls_Manager::COLOR,
					'default' => '',
					'selectors' => [
						'{{WRAPPER}} .marquee .marquee-block h3' => 'color: {{VALUE}};',
					],
				]
			);
			$this->add_group_control(
				\Elementor\Group_Control_Typography::get_type(),
				[
					'name' => 'title_typography',
					'selector' => '{{WRAPPER}} .marquee .marquee-block h3, {{WRAPPER}} .elementor-icon-box-content .elementor-icon-box-title a',
				]
			);
			$this->add_responsive_control(
				'title_margin',
				[
					'label' => __( 'Margin', 'dreamit-elementor-extension' ),
					'type' => \Elementor\Controls_Manager::DIMENSIONS,
					'size_units' => [ 'px', 'em', '%' ],
					'selectors' => [
						'{{WRAPPER}} .marquee .marquee-block h3' => 'margin: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
					],
				]
			);
			
		$this->end_controls_section();
	}

	protected function render(){

		$settings = $this->get_settings_for_display();
		
		?>
			<?php if($settings['select_style']=='one'){ ?>
			<div class="marquee style1">
					<div class="marquee-block">
						<h3><img src="<?php echo $settings['single_img']['url']; ?>" alt="<?php esc_attr_e('restu', 'restu'); ?>"><?php echo $settings['title_text'];?></h3>
						<h3><img src="<?php echo $settings['single_img']['url']; ?>" alt="<?php esc_attr_e('restu', 'restu'); ?>"><?php echo $settings['title_text2'];?></h3>
						<h3><img src="<?php echo $settings['single_img']['url']; ?>" alt="<?php esc_attr_e('restu', 'restu'); ?>"><?php echo $settings['title_text3'];?></h3>
						<h3><img src="<?php echo $settings['single_img']['url']; ?>" alt="<?php esc_attr_e('restu', 'restu'); ?>">
						<?php echo $settings['title_text4'];?></h3>
						<h3><img src="<?php echo $settings['single_img']['url']; ?>" alt="<?php esc_attr_e('restu', 'restu'); ?>"><?php echo $settings['title_text5'];?></h3>
					</div>
					<div class="marquee-block">
						<h3><img src="<?php echo $settings['single_img']['url']; ?>" alt="<?php esc_attr_e('restu', 'restu'); ?>"><?php echo $settings['title_text6'];?></h3>
						<h3><img src="<?php echo $settings['single_img']['url']; ?>" alt="<?php esc_attr_e('restu', 'restu'); ?>"><?php echo $settings['title_text7'];?></h3>
						<h3><img src="<?php echo $settings['single_img']['url']; ?>" alt="<?php esc_attr_e('restu', 'restu'); ?>"><?php echo $settings['title_text8'];?></h3>
						<h3><img src="<?php echo $settings['single_img']['url']; ?>" alt="<?php esc_attr_e('restu', 'restu'); ?>"><?php echo $settings['title_text9'];?></h3>
						<h3><img src="<?php echo $settings['single_img']['url']; ?>" alt="<?php esc_attr_e('restu', 'restu'); ?>"><?php echo $settings['title_text10'];?></h3>
					</div>
			</div>
			<?php }elseif($settings['select_style']=='two'){ ?>
			<div class="marquee style2">
			<div class="marquee-block">
						<h3><img src="<?php echo $settings['single_img']['url']; ?>" alt="<?php esc_attr_e('restu', 'restu'); ?>"><?php echo $settings['title_text'];?></h3>
						<h3><?php echo $settings['title_text2'];?></h3>
						<h3><?php echo $settings['title_text3'];?></h3>
						<h3><?php echo $settings['title_text4'];?></h3>
					</div>
					<div class="marquee-block">
						<h3><img src="<?php echo $settings['single_img']['url']; ?>" alt="<?php esc_attr_e('restu', 'restu'); ?>"><?php echo $settings['title_text'];?></h3>
						<h3><?php echo $settings['title_text6'];?></h3>
						<h3><?php echo $settings['title_text7'];?></h3>
						<h3><?php echo $settings['title_text8'];?></h3>
					</div>
			</div>
			
			<?php } ?>

		<?php
	}
	
}

